searchData={"items":[{"type":"module","title":"GoogleApi.CloudChannel.V1","doc":"API client metadata for GoogleApi.CloudChannel.V1.","ref":"GoogleApi.CloudChannel.V1.html"},{"type":"function","title":"GoogleApi.CloudChannel.V1.discovery_revision/0","doc":"","ref":"GoogleApi.CloudChannel.V1.html#discovery_revision/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Api.Accounts","doc":"API calls for all endpoints tagged `Accounts`.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_create/4","doc":"Creates a ChannelPartnerRepricingConfig. Call this method to set modifications for a specific ChannelPartner's bill. You can only create configs if the RepricingConfig.effective_invoice_month is a future month. If needed, you can create a config for the current month, with some restrictions. When creating a config for a future month, make sure there are no existing configs for that RepricingConfig.effective_invoice_month. The following restrictions are for creating configs in the current month. * This functionality is reserved for recovering from an erroneous config, and should not be used for regular business cases. * The new config will not modify exports used with other configs. Changes to the config may be immediate, but may take up to 24 hours. * There is a limit of ten configs for any ChannelPartner or RepricingConfig.EntitlementGranularity.entitlement, for any RepricingConfig.effective_invoice_month. * The contained ChannelPartnerRepricingConfig.repricing_config value must be different from the value used in the current config for a ChannelPartner. Possible Error Codes: * PERMISSION_DENIED: If the account making the request and the account being queried are different. * INVALID_ARGUMENT: Missing or invalid required parameters in the request. Also displays if the updated config is for the current month or past months. * NOT_FOUND: The ChannelPartnerRepricingConfig specified does not exist or is not associated with the given account. * INTERNAL: Any non-user error related to technical issues in the backend. In this case, contact Cloud Channel support. Return Value: If successful, the updated ChannelPartnerRepricingConfig resource, otherwise returns an error.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_create/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_create/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the ChannelPartner that will receive the repricing config. Parent uses the format: accounts/{account_id}/channelPartnerLinks/{channel_partner_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerRepricingConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_create/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerRepricingConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_create/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_delete/4","doc":"Deletes the given ChannelPartnerRepricingConfig permanently. You can only delete configs if their RepricingConfig.effective_invoice_month is set to a date after the current month. Possible error codes: * PERMISSION_DENIED: The account making the request does not own this customer. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * FAILED_PRECONDITION: The ChannelPartnerRepricingConfig is active or in the past. * NOT_FOUND: No ChannelPartnerRepricingConfig found for the name in the request.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_delete/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_delete/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the channel partner repricing config rule to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_delete/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_delete/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_get/4","doc":"Gets information about how a Distributor modifies their bill before sending it to a ChannelPartner. Possible Error Codes: * PERMISSION_DENIED: If the account making the request and the account being queried are different. * NOT_FOUND: The ChannelPartnerRepricingConfig was not found. * INTERNAL: Any non-user error related to technical issues in the backend. In this case, contact Cloud Channel support. Return Value: If successful, the ChannelPartnerRepricingConfig resource, otherwise returns an error.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_get/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_get/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the ChannelPartnerRepricingConfig Format: accounts/{account_id}/channelPartnerLinks/{channel_partner_id}/channelPartnerRepricingConfigs/{id}.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_get/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerRepricingConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_get/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_list/4","doc":"Lists information about how a Reseller modifies their bill before sending it to a ChannelPartner. Possible Error Codes: * PERMISSION_DENIED: If the account making the request and the account being queried are different. * NOT_FOUND: The ChannelPartnerRepricingConfig specified does not exist or is not associated with the given account. * INTERNAL: Any non-user error related to technical issues in the backend. In this case, contact Cloud Channel support. Return Value: If successful, the ChannelPartnerRepricingConfig resources. The data for each resource is displayed in the ascending order of: * Channel Partner ID * RepricingConfig.effective_invoice_month * ChannelPartnerRepricingConfig.update_time If unsuccessful, returns an error.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_list/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_list/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the account's ChannelPartnerLink. Parent uses the format: accounts/{account_id}/channelPartnerLinks/{channel_partner_id}. Supports accounts/{account_id}/channelPartnerLinks/- to retrieve configs for all channel partners.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. A filter for [CloudChannelService.ListChannelPartnerRepricingConfigs] results (channel_partner_link only). You can use this filter when you support a BatchGet-like query. To use the filter, you must set `parent=accounts/{account_id}/channelPartnerLinks/-`. Example: `channel_partner_link = accounts/account_id/channelPartnerLinks/c1` OR `channel_partner_link = accounts/account_id/channelPartnerLinks/c2`.\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of repricing configs to return. The service may return fewer than this value. If unspecified, returns a maximum of 50 rules. The maximum value is 100; values above 100 will be coerced to 100.\n    *   `:pageToken` (*type:* `String.t`) - Optional. A token identifying a page of results beyond the first page. Obtained through ListChannelPartnerRepricingConfigsResponse.next_page_token of the previous CloudChannelService.ListChannelPartnerRepricingConfigs call.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_list/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListChannelPartnerRepricingConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_list/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_patch/4","doc":"Updates a ChannelPartnerRepricingConfig. Call this method to set modifications for a specific ChannelPartner's bill. This method overwrites the existing CustomerRepricingConfig. You can only update configs if the RepricingConfig.effective_invoice_month is a future month. To make changes to configs for the current month, use CreateChannelPartnerRepricingConfig, taking note of its restrictions. You cannot update the RepricingConfig.effective_invoice_month. When updating a config in the future: * This config must already exist. Possible Error Codes: * PERMISSION_DENIED: If the account making the request and the account being queried are different. * INVALID_ARGUMENT: Missing or invalid required parameters in the request. Also displays if the updated config is for the current month or past months. * NOT_FOUND: The ChannelPartnerRepricingConfig specified does not exist or is not associated with the given account. * INTERNAL: Any non-user error related to technical issues in the backend. In this case, contact Cloud Channel support. Return Value: If successful, the updated ChannelPartnerRepricingConfig resource, otherwise returns an error.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_patch/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_patch/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Output only. Resource name of the ChannelPartnerRepricingConfig. Format: accounts/{account_id}/channelPartnerLinks/{channel_partner_id}/channelPartnerRepricingConfigs/{id}.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerRepricingConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_patch/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerRepricingConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_channel_partner_repricing_configs_patch/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_create/4","doc":"Initiates a channel partner link between a distributor and a reseller, or between resellers in an n-tier reseller channel. Invited partners need to follow the invite_link_uri provided in the response to accept. After accepting the invitation, a link is set up between the two parties. You must be a distributor to call this method. Possible error codes: * PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * ALREADY_EXISTS: The ChannelPartnerLink sent in the request already exists. * NOT_FOUND: No Cloud Identity customer exists for provided domain. * INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. * UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The new ChannelPartnerLink resource.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_create/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_create/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Create a channel partner link for the provided reseller account's resource name. Parent uses the format: accounts/{account_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerLink.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_create/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerLink{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_create/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_customers_create/4","doc":"Creates a new Customer resource under the reseller or distributor account. Possible error codes: * PERMISSION_DENIED: * The reseller account making the request is different from the reseller account in the API request. * You are not authorized to create a customer. See https://support.google.com/channelservices/answer/9759265 * INVALID_ARGUMENT: * Required request parameters are missing or invalid. * Domain field value doesn't match the primary email domain. Return value: The newly created Customer resource.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_customers_create/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_customers_create/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of reseller account in which to create the customer. Parent uses the format: accounts/{account_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Customer.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_customers_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_customers_create/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Customer{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_customers_create/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_customers_delete/4","doc":"Deletes the given Customer permanently. Possible error codes: * PERMISSION_DENIED: The account making the request does not own this customer. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * FAILED_PRECONDITION: The customer has existing entitlements. * NOT_FOUND: No Customer resource found for the name in the request.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_customers_delete/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_customers_delete/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the customer to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_customers_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_customers_delete/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_customers_delete/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_customers_get/4","doc":"Returns the requested Customer resource. Possible error codes: * PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * NOT_FOUND: The customer resource doesn't exist. Usually the result of an invalid name parameter. Return value: The Customer resource.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_customers_get/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_customers_get/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the customer to retrieve. Name uses the format: accounts/{account_id}/customers/{customer_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_customers_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_customers_get/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Customer{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_customers_get/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_customers_import/4","doc":"Imports a Customer from the Cloud Identity associated with the provided Cloud Identity ID or domain before a TransferEntitlements call. If a linked Customer already exists and overwrite_if_exists is true, it will update that Customer's data. Possible error codes: * PERMISSION_DENIED: * The reseller account making the request is different from the reseller account in the API request. * You are not authorized to import the customer. See https://support.google.com/channelservices/answer/9759265 * NOT_FOUND: Cloud Identity doesn't exist or was deleted. * INVALID_ARGUMENT: Required parameters are missing, or the auth_token is expired or invalid. * ALREADY_EXISTS: A customer already exists and has conflicting critical fields. Requires an overwrite. Return value: The Customer.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_customers_import/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_customers_import/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the reseller's account. Parent takes the format: accounts/{account_id} or accounts/{account_id}/channelPartnerLinks/{channel_partner_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ImportCustomerRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_customers_import/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_customers_import/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Customer{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_customers_import/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_customers_list/4","doc":"List Customers. Possible error codes: * PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. * INVALID_ARGUMENT: Required request parameters are missing or invalid. Return value: List of Customers, or an empty list if there are no customers.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_customers_list/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_customers_list/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the reseller account to list customers from. Parent uses the format: accounts/{account_id}.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. Filters applied to the [CloudChannelService.ListCustomers] results. See https://cloud.google.com/channel/docs/concepts/google-cloud/filter-customers for more information.\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of customers to return. The service may return fewer than this value. If unspecified, returns at most 10 customers. The maximum value is 50.\n    *   `:pageToken` (*type:* `String.t`) - Optional. A token identifying a page of results other than the first page. Obtained through ListCustomersResponse.next_page_token of the previous CloudChannelService.ListCustomers call.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_customers_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_customers_list/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListCustomersResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_customers_list/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_customers_patch/4","doc":"Updates an existing Customer resource for the reseller or distributor. Possible error codes: * PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * NOT_FOUND: No Customer resource found for the name in the request. Return value: The updated Customer resource.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_customers_patch/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_customers_patch/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Output only. Resource name of the customer. Format: accounts/{account_id}/customers/{customer_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The update mask that applies to the resource. Optional.\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Customer.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_customers_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_customers_patch/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Customer{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_customers_patch/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_get/4","doc":"Returns the requested ChannelPartnerLink resource. You must be a distributor to call this method. Possible error codes: * PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * NOT_FOUND: ChannelPartnerLink resource not found because of an invalid channel partner link name. Return value: The ChannelPartnerLink resource.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_get/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_get/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the channel partner link to retrieve. Name uses the format: accounts/{account_id}/channelPartnerLinks/{id} where {id} is the Cloud Identity ID of the partner.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:view` (*type:* `String.t`) - Optional. The level of granularity the ChannelPartnerLink will display.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_get/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerLink{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_get/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_list/4","doc":"List ChannelPartnerLinks belonging to a distributor. You must be a distributor to call this method. Possible error codes: * PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. * INVALID_ARGUMENT: Required request parameters are missing or invalid. Return value: The list of the distributor account's ChannelPartnerLink resources.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_list/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_list/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the reseller account for listing channel partner links. Parent uses the format: accounts/{account_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. Requested page size. Server might return fewer results than requested. If unspecified, server will pick a default size (25). The maximum value is 200; the server will coerce values above 200.\n    *   `:pageToken` (*type:* `String.t`) - Optional. A token for a page of results other than the first page. Obtained using ListChannelPartnerLinksResponse.next_page_token of the previous CloudChannelService.ListChannelPartnerLinks call.\n    *   `:view` (*type:* `String.t`) - Optional. The level of granularity the ChannelPartnerLink will display.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_list/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListChannelPartnerLinksResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_list/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_patch/4","doc":"Updates a channel partner link. Distributors call this method to change a link's status. For example, to suspend a partner link. You must be a distributor to call this method. Possible error codes: * PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. * INVALID_ARGUMENT: * Required request parameters are missing or invalid. * Link state cannot change from invited to active or suspended. * Cannot send reseller_cloud_identity_id, invite_url, or name in update mask. * NOT_FOUND: ChannelPartnerLink resource not found. * INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. * UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The updated ChannelPartnerLink resource.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_patch/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_patch/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the channel partner link to cancel. Name uses the format: accounts/{account_id}/channelPartnerLinks/{id} where {id} is the Cloud Identity ID of the partner.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UpdateChannelPartnerLinkRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_channel_partner_links_patch/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerLink{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_channel_partner_links_patch/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_check_cloud_identity_accounts_exist/4","doc":"Confirms the existence of Cloud Identity accounts based on the domain and if the Cloud Identity accounts are owned by the reseller. Possible error codes: * PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * INVALID_VALUE: Invalid domain value in the request. Return value: A list of CloudIdentityCustomerAccount resources for the domain (may be empty) Note: in the v1alpha1 version of the API, a NOT_FOUND error returns if no CloudIdentityCustomerAccount resources match the domain.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_check_cloud_identity_accounts_exist/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_check_cloud_identity_accounts_exist/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The reseller account's resource name. Parent uses the format: accounts/{account_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CheckCloudIdentityAccountsExistRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_check_cloud_identity_accounts_exist/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_check_cloud_identity_accounts_exist/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CheckCloudIdentityAccountsExistResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_check_cloud_identity_accounts_exist/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_create/4","doc":"Creates a new Customer resource under the reseller or distributor account. Possible error codes: * PERMISSION_DENIED: * The reseller account making the request is different from the reseller account in the API request. * You are not authorized to create a customer. See https://support.google.com/channelservices/answer/9759265 * INVALID_ARGUMENT: * Required request parameters are missing or invalid. * Domain field value doesn't match the primary email domain. Return value: The newly created Customer resource.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_create/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_create/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of reseller account in which to create the customer. Parent uses the format: accounts/{account_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Customer.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_create/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Customer{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_create/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_customer_repricing_configs_create/4","doc":"Creates a CustomerRepricingConfig. Call this method to set modifications for a specific customer's bill. You can only create configs if the RepricingConfig.effective_invoice_month is a future month. If needed, you can create a config for the current month, with some restrictions. When creating a config for a future month, make sure there are no existing configs for that RepricingConfig.effective_invoice_month. The following restrictions are for creating configs in the current month. * This functionality is reserved for recovering from an erroneous config, and should not be used for regular business cases. * The new config will not modify exports used with other configs. Changes to the config may be immediate, but may take up to 24 hours. * There is a limit of ten configs for any RepricingConfig.EntitlementGranularity.entitlement, for any RepricingConfig.effective_invoice_month. * The contained CustomerRepricingConfig.repricing_config value must be different from the value used in the current config for a RepricingConfig.EntitlementGranularity.entitlement. Possible Error Codes: * PERMISSION_DENIED: If the account making the request and the account being queried are different. * INVALID_ARGUMENT: Missing or invalid required parameters in the request. Also displays if the updated config is for the current month or past months. * NOT_FOUND: The CustomerRepricingConfig specified does not exist or is not associated with the given account. * INTERNAL: Any non-user error related to technical issues in the backend. In this case, contact Cloud Channel support. Return Value: If successful, the updated CustomerRepricingConfig resource, otherwise returns an error.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_customer_repricing_configs_create/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_customer_repricing_configs_create/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the customer that will receive this repricing config. Parent uses the format: accounts/{account_id}/customers/{customer_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerRepricingConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_customer_repricing_configs_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_customer_repricing_configs_create/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerRepricingConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_customer_repricing_configs_create/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_customer_repricing_configs_delete/4","doc":"Deletes the given CustomerRepricingConfig permanently. You can only delete configs if their RepricingConfig.effective_invoice_month is set to a date after the current month. Possible error codes: * PERMISSION_DENIED: The account making the request does not own this customer. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * FAILED_PRECONDITION: The CustomerRepricingConfig is active or in the past. * NOT_FOUND: No CustomerRepricingConfig found for the name in the request.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_customer_repricing_configs_delete/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_customer_repricing_configs_delete/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the customer repricing config rule to delete. Format: accounts/{account_id}/customers/{customer_id}/customerRepricingConfigs/{id}.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_customer_repricing_configs_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_customer_repricing_configs_delete/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_customer_repricing_configs_delete/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_customer_repricing_configs_get/4","doc":"Gets information about how a Reseller modifies their bill before sending it to a Customer. Possible Error Codes: * PERMISSION_DENIED: If the account making the request and the account being queried are different. * NOT_FOUND: The CustomerRepricingConfig was not found. * INTERNAL: Any non-user error related to technical issues in the backend. In this case, contact Cloud Channel support. Return Value: If successful, the CustomerRepricingConfig resource, otherwise returns an error.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_customer_repricing_configs_get/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_customer_repricing_configs_get/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the CustomerRepricingConfig. Format: accounts/{account_id}/customers/{customer_id}/customerRepricingConfigs/{id}.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_customer_repricing_configs_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_customer_repricing_configs_get/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerRepricingConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_customer_repricing_configs_get/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_customer_repricing_configs_list/4","doc":"Lists information about how a Reseller modifies their bill before sending it to a Customer. Possible Error Codes: * PERMISSION_DENIED: If the account making the request and the account being queried are different. * NOT_FOUND: The CustomerRepricingConfig specified does not exist or is not associated with the given account. * INTERNAL: Any non-user error related to technical issues in the backend. In this case, contact Cloud Channel support. Return Value: If successful, the CustomerRepricingConfig resources. The data for each resource is displayed in the ascending order of: * Customer ID * RepricingConfig.EntitlementGranularity.entitlement * RepricingConfig.effective_invoice_month * CustomerRepricingConfig.update_time If unsuccessful, returns an error.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_customer_repricing_configs_list/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_customer_repricing_configs_list/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the customer. Parent uses the format: accounts/{account_id}/customers/{customer_id}. Supports accounts/{account_id}/customers/- to retrieve configs for all customers.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. A filter for [CloudChannelService.ListCustomerRepricingConfigs] results (customer only). You can use this filter when you support a BatchGet-like query. To use the filter, you must set `parent=accounts/{account_id}/customers/-`. Example: customer = accounts/account_id/customers/c1 OR customer = accounts/account_id/customers/c2.\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of repricing configs to return. The service may return fewer than this value. If unspecified, returns a maximum of 50 rules. The maximum value is 100; values above 100 will be coerced to 100.\n    *   `:pageToken` (*type:* `String.t`) - Optional. A token identifying a page of results beyond the first page. Obtained through ListCustomerRepricingConfigsResponse.next_page_token of the previous CloudChannelService.ListCustomerRepricingConfigs call.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_customer_repricing_configs_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_customer_repricing_configs_list/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListCustomerRepricingConfigsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_customer_repricing_configs_list/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_customer_repricing_configs_patch/4","doc":"Updates a CustomerRepricingConfig. Call this method to set modifications for a specific customer's bill. This method overwrites the existing CustomerRepricingConfig. You can only update configs if the RepricingConfig.effective_invoice_month is a future month. To make changes to configs for the current month, use CreateCustomerRepricingConfig, taking note of its restrictions. You cannot update the RepricingConfig.effective_invoice_month. When updating a config in the future: * This config must already exist. Possible Error Codes: * PERMISSION_DENIED: If the account making the request and the account being queried are different. * INVALID_ARGUMENT: Missing or invalid required parameters in the request. Also displays if the updated config is for the current month or past months. * NOT_FOUND: The CustomerRepricingConfig specified does not exist or is not associated with the given account. * INTERNAL: Any non-user error related to technical issues in the backend. In this case, contact Cloud Channel support. Return Value: If successful, the updated CustomerRepricingConfig resource, otherwise returns an error.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_customer_repricing_configs_patch/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_customer_repricing_configs_patch/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Output only. Resource name of the CustomerRepricingConfig. Format: accounts/{account_id}/customers/{customer_id}/customerRepricingConfigs/{id}.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerRepricingConfig.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_customer_repricing_configs_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_customer_repricing_configs_patch/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerRepricingConfig{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_customer_repricing_configs_patch/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_delete/4","doc":"Deletes the given Customer permanently. Possible error codes: * PERMISSION_DENIED: The account making the request does not own this customer. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * FAILED_PRECONDITION: The customer has existing entitlements. * NOT_FOUND: No Customer resource found for the name in the request.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_delete/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_delete/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the customer to delete.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_delete/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_delete/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_activate/4","doc":"Activates a previously suspended entitlement. Entitlements suspended for pending ToS acceptance can't be activated using this method. An entitlement activation is a long-running operation and it updates the state of the customer entitlement. Possible error codes: * PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * NOT_FOUND: Entitlement resource not found. * SUSPENSION_NOT_RESELLER_INITIATED: Can only activate reseller-initiated suspensions and entitlements that have accepted the TOS. * NOT_SUSPENDED: Can only activate suspended entitlements not in an ACTIVE state. * INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. * UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The ID of a long-running operation. To get the results of the operation, call the GetOperation method of CloudChannelOperationsService. The Operation metadata will contain an instance of OperationMetadata.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_activate/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_activate/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the entitlement to activate. Name uses the format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ActivateEntitlementRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_activate/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_activate/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_activate/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_cancel/4","doc":"Cancels a previously fulfilled entitlement. An entitlement cancellation is a long-running operation. Possible error codes: * PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. * FAILED_PRECONDITION: There are Google Cloud projects linked to the Google Cloud entitlement's Cloud Billing subaccount. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * NOT_FOUND: Entitlement resource not found. * DELETION_TYPE_NOT_ALLOWED: Cancel is only allowed for Google Workspace add-ons, or entitlements for Google Cloud's development platform. * INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. * UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The ID of a long-running operation. To get the results of the operation, call the GetOperation method of CloudChannelOperationsService. The response will contain google.protobuf.Empty on success. The Operation metadata will contain an instance of OperationMetadata.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_cancel/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_cancel/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the entitlement to cancel. Name uses the format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CancelEntitlementRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_cancel/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_cancel/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_cancel/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_change_offer/4","doc":"Updates the Offer for an existing customer entitlement. An entitlement update is a long-running operation and it updates the entitlement as a result of fulfillment. Possible error codes: * PERMISSION_DENIED: The customer doesn't belong to the reseller. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * NOT_FOUND: Offer or Entitlement resource not found. * INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. * UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The ID of a long-running operation. To get the results of the operation, call the GetOperation method of CloudChannelOperationsService. The Operation metadata will contain an instance of OperationMetadata.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_change_offer/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_change_offer/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the entitlement to update. Name uses the format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeOfferRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_change_offer/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_change_offer/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_change_offer/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_change_parameters/4","doc":"Change parameters of the entitlement. An entitlement update is a long-running operation and it updates the entitlement as a result of fulfillment. Possible error codes: * PERMISSION_DENIED: The customer doesn't belong to the reseller. * INVALID_ARGUMENT: Required request parameters are missing or invalid. For example, the number of seats being changed is greater than the allowed number of max seats, or decreasing seats for a commitment based plan. * NOT_FOUND: Entitlement resource not found. * INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. * UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The ID of a long-running operation. To get the results of the operation, call the GetOperation method of CloudChannelOperationsService. The Operation metadata will contain an instance of OperationMetadata.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_change_parameters/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_change_parameters/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the entitlement to update. Name uses the format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeParametersRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_change_parameters/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_change_parameters/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_change_parameters/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_change_renewal_settings/4","doc":"Updates the renewal settings for an existing customer entitlement. An entitlement update is a long-running operation and it updates the entitlement as a result of fulfillment. Possible error codes: * PERMISSION_DENIED: The customer doesn't belong to the reseller. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * NOT_FOUND: Entitlement resource not found. * NOT_COMMITMENT_PLAN: Renewal Settings are only applicable for a commitment plan. Can't enable or disable renewals for non-commitment plans. * INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. * UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The ID of a long-running operation. To get the results of the operation, call the GetOperation method of CloudChannelOperationsService. The Operation metadata will contain an instance of OperationMetadata.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_change_renewal_settings/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_change_renewal_settings/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the entitlement to update. Name uses the format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeRenewalSettingsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_change_renewal_settings/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_change_renewal_settings/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_change_renewal_settings/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_create/4","doc":"Creates an entitlement for a customer. Possible error codes: * PERMISSION_DENIED: * The customer doesn't belong to the reseller. * The reseller is not authorized to transact on this Product. See https://support.google.com/channelservices/answer/9759265 * INVALID_ARGUMENT: * Required request parameters are missing or invalid. * There is already a customer entitlement for a SKU from the same product family. * INVALID_VALUE: Make sure the OfferId is valid. If it is, contact Google Channel support for further troubleshooting. * NOT_FOUND: The customer or offer resource was not found. * ALREADY_EXISTS: * The SKU was already purchased for the customer. * The customer's primary email already exists. Retry after changing the customer's primary contact email. * CONDITION_NOT_MET or FAILED_PRECONDITION: * The domain required for purchasing a SKU has not been verified. * A pre-requisite SKU required to purchase an Add-On SKU is missing. For example, Google Workspace Business Starter is required to purchase Vault or Drive. * (Developer accounts only) Reseller and resold domain must meet the following naming requirements: * Domain names must start with goog-test. * Domain names must include the reseller domain. * INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. * UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The ID of a long-running operation. To get the results of the operation, call the GetOperation method of CloudChannelOperationsService. The Operation metadata will contain an instance of OperationMetadata.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_create/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_create/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the reseller's customer account in which to create the entitlement. Parent uses the format: accounts/{account_id}/customers/{customer_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CreateEntitlementRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_create/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_create/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_create/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_get/4","doc":"Returns the requested Entitlement resource. Possible error codes: * PERMISSION_DENIED: The customer doesn't belong to the reseller. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * NOT_FOUND: The customer entitlement was not found. Return value: The requested Entitlement resource.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_get/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_get/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the entitlement to retrieve. Name uses the format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_get/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Entitlement{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_get/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_list/4","doc":"Lists Entitlements belonging to a customer. Possible error codes: * PERMISSION_DENIED: The customer doesn't belong to the reseller. * INVALID_ARGUMENT: Required request parameters are missing or invalid. Return value: A list of the customer's Entitlements.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_list/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_list/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the reseller's customer account to list entitlements for. Parent uses the format: accounts/{account_id}/customers/{customer_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. Requested page size. Server might return fewer results than requested. If unspecified, return at most 50 entitlements. The maximum value is 100; the server will coerce values above 100.\n    *   `:pageToken` (*type:* `String.t`) - Optional. A token for a page of results other than the first page. Obtained using ListEntitlementsResponse.next_page_token of the previous CloudChannelService.ListEntitlements call.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_list/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListEntitlementsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_list/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_list_entitlement_changes/4","doc":"List entitlement history. Possible error codes: * PERMISSION_DENIED: The reseller account making the request and the provided reseller account are different. * INVALID_ARGUMENT: Missing or invalid required fields in the request. * NOT_FOUND: The parent resource doesn't exist. Usually the result of an invalid name parameter. * INTERNAL: Any non-user error related to a technical issue in the backend. In this case, contact CloudChannel support. * UNKNOWN: Any non-user error related to a technical issue in the backend. In this case, contact Cloud Channel support. Return value: List of EntitlementChanges.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_list_entitlement_changes/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_list_entitlement_changes/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the entitlement for which to list entitlement changes. The `-` wildcard may be used to match entitlements across a customer. Formats: * accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id} * accounts/{account_id}/customers/{customer_id}/entitlements/-\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. Filters applied to the list results.\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of entitlement changes to return. The service may return fewer than this value. If unspecified, returns at most 10 entitlement changes. The maximum value is 50; the server will coerce values above 50.\n    *   `:pageToken` (*type:* `String.t`) - Optional. A page token, received from a previous CloudChannelService.ListEntitlementChanges call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to CloudChannelService.ListEntitlementChanges must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_list_entitlement_changes/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_list_entitlement_changes/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListEntitlementChangesResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_list_entitlement_changes/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_lookup_offer/4","doc":"Returns the requested Offer resource. Possible error codes: * PERMISSION_DENIED: The entitlement doesn't belong to the reseller. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * NOT_FOUND: Entitlement or offer was not found. Return value: The Offer resource.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_lookup_offer/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_lookup_offer/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `entitlement` (*type:* `String.t`) - Required. The resource name of the entitlement to retrieve the Offer. Entitlement uses the format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_lookup_offer/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_lookup_offer/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Offer{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_lookup_offer/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_start_paid_service/4","doc":"Starts paid service for a trial entitlement. Starts paid service for a trial entitlement immediately. This method is only applicable if a plan is set up for a trial entitlement but has some trial days remaining. Possible error codes: * PERMISSION_DENIED: The customer doesn't belong to the reseller. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * NOT_FOUND: Entitlement resource not found. * FAILED_PRECONDITION/NOT_IN_TRIAL: This method only works for entitlement on trial plans. * INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. * UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The ID of a long-running operation. To get the results of the operation, call the GetOperation method of CloudChannelOperationsService. The Operation metadata will contain an instance of OperationMetadata.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_start_paid_service/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_start_paid_service/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The name of the entitlement to start a paid service for. Name uses the format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1StartPaidServiceRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_start_paid_service/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_start_paid_service/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_start_paid_service/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_suspend/4","doc":"Suspends a previously fulfilled entitlement. An entitlement suspension is a long-running operation. Possible error codes: * PERMISSION_DENIED: The customer doesn't belong to the reseller. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * NOT_FOUND: Entitlement resource not found. * NOT_ACTIVE: Entitlement is not active. * INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. * UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The ID of a long-running operation. To get the results of the operation, call the GetOperation method of CloudChannelOperationsService. The Operation metadata will contain an instance of OperationMetadata.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_suspend/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_suspend/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the entitlement to suspend. Name uses the format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SuspendEntitlementRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_suspend/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_entitlements_suspend/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_entitlements_suspend/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_get/4","doc":"Returns the requested Customer resource. Possible error codes: * PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * NOT_FOUND: The customer resource doesn't exist. Usually the result of an invalid name parameter. Return value: The Customer resource.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_get/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_get/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The resource name of the customer to retrieve. Name uses the format: accounts/{account_id}/customers/{customer_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_get/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Customer{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_get/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_import/4","doc":"Imports a Customer from the Cloud Identity associated with the provided Cloud Identity ID or domain before a TransferEntitlements call. If a linked Customer already exists and overwrite_if_exists is true, it will update that Customer's data. Possible error codes: * PERMISSION_DENIED: * The reseller account making the request is different from the reseller account in the API request. * You are not authorized to import the customer. See https://support.google.com/channelservices/answer/9759265 * NOT_FOUND: Cloud Identity doesn't exist or was deleted. * INVALID_ARGUMENT: Required parameters are missing, or the auth_token is expired or invalid. * ALREADY_EXISTS: A customer already exists and has conflicting critical fields. Requires an overwrite. Return value: The Customer.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_import/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_import/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the reseller's account. Parent takes the format: accounts/{account_id} or accounts/{account_id}/channelPartnerLinks/{channel_partner_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ImportCustomerRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_import/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_import/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Customer{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_import/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_list/4","doc":"List Customers. Possible error codes: * PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. * INVALID_ARGUMENT: Required request parameters are missing or invalid. Return value: List of Customers, or an empty list if there are no customers.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_list/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_list/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the reseller account to list customers from. Parent uses the format: accounts/{account_id}.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. Filters applied to the [CloudChannelService.ListCustomers] results. See https://cloud.google.com/channel/docs/concepts/google-cloud/filter-customers for more information.\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of customers to return. The service may return fewer than this value. If unspecified, returns at most 10 customers. The maximum value is 50.\n    *   `:pageToken` (*type:* `String.t`) - Optional. A token identifying a page of results other than the first page. Obtained through ListCustomersResponse.next_page_token of the previous CloudChannelService.ListCustomers call.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_list/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListCustomersResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_list/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_list_purchasable_offers/4","doc":"Lists the following: * Offers that you can purchase for a customer. * Offers that you can change for an entitlement. Possible error codes: * PERMISSION_DENIED: * The customer doesn't belong to the reseller * The reseller is not authorized to transact on this Product. See https://support.google.com/channelservices/answer/9759265 * INVALID_ARGUMENT: Required request parameters are missing or invalid.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_list_purchasable_offers/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_list_purchasable_offers/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `customer` (*type:* `String.t`) - Required. The resource name of the customer to list Offers for. Format: accounts/{account_id}/customers/{customer_id}.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:\"changeOfferPurchase.billingAccount\"` (*type:* `String.t`) - Optional. Resource name of the new target Billing Account. Provide this Billing Account when setting up billing for a trial subscription. Format: accounts/{account_id}/billingAccounts/{billing_account_id}. This field is only relevant for multi-currency accounts. It should be left empty for single currency accounts.\n    *   `:\"changeOfferPurchase.entitlement\"` (*type:* `String.t`) - Required. Resource name of the entitlement. Format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}\n    *   `:\"changeOfferPurchase.newSku\"` (*type:* `String.t`) - Optional. Resource name of the new target SKU. Provide this SKU when upgrading or downgrading an entitlement. Format: products/{product_id}/skus/{sku_id}\n    *   `:\"createEntitlementPurchase.billingAccount\"` (*type:* `String.t`) - Optional. Billing account that the result should be restricted to. Format: accounts/{account_id}/billingAccounts/{billing_account_id}.\n    *   `:\"createEntitlementPurchase.sku\"` (*type:* `String.t`) - Required. SKU that the result should be restricted to. Format: products/{product_id}/skus/{sku_id}.\n    *   `:languageCode` (*type:* `String.t`) - Optional. The BCP-47 language code. For example, \"en-US\". The response will localize in the corresponding language code, if specified. The default value is \"en-US\".\n    *   `:pageSize` (*type:* `integer()`) - Optional. Requested page size. Server might return fewer results than requested. If unspecified, returns at most 100 Offers. The maximum value is 1000; the server will coerce values above 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. A token for a page of results other than the first page.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_list_purchasable_offers/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_list_purchasable_offers/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListPurchasableOffersResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_list_purchasable_offers/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_list_purchasable_skus/4","doc":"Lists the following: * SKUs that you can purchase for a customer * SKUs that you can upgrade or downgrade for an entitlement. Possible error codes: * PERMISSION_DENIED: The customer doesn't belong to the reseller. * INVALID_ARGUMENT: Required request parameters are missing or invalid.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_list_purchasable_skus/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_list_purchasable_skus/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `customer` (*type:* `String.t`) - Required. The resource name of the customer to list SKUs for. Format: accounts/{account_id}/customers/{customer_id}.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:\"changeOfferPurchase.changeType\"` (*type:* `String.t`) - Required. Change Type for the entitlement.\n    *   `:\"changeOfferPurchase.entitlement\"` (*type:* `String.t`) - Required. Resource name of the entitlement. Format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}\n    *   `:\"createEntitlementPurchase.product\"` (*type:* `String.t`) - Required. List SKUs belonging to this Product. Format: products/{product_id}. Supports products/- to retrieve SKUs for all products.\n    *   `:languageCode` (*type:* `String.t`) - Optional. The BCP-47 language code. For example, \"en-US\". The response will localize in the corresponding language code, if specified. The default value is \"en-US\".\n    *   `:pageSize` (*type:* `integer()`) - Optional. Requested page size. Server might return fewer results than requested. If unspecified, returns at most 100 SKUs. The maximum value is 1000; the server will coerce values above 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. A token for a page of results other than the first page.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_list_purchasable_skus/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_list_purchasable_skus/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListPurchasableSkusResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_list_purchasable_skus/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_patch/4","doc":"Updates an existing Customer resource for the reseller or distributor. Possible error codes: * PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * NOT_FOUND: No Customer resource found for the name in the request. Return value: The updated Customer resource.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_patch/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_patch/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Output only. Resource name of the customer. Format: accounts/{account_id}/customers/{customer_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:updateMask` (*type:* `String.t`) - The update mask that applies to the resource. Optional.\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Customer.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_patch/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_patch/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Customer{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_patch/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_provision_cloud_identity/4","doc":"Creates a Cloud Identity for the given customer using the customer's information, or the information provided here. Possible error codes: * PERMISSION_DENIED: * The customer doesn't belong to the reseller. * You are not authorized to provision cloud identity id. See https://support.google.com/channelservices/answer/9759265 * INVALID_ARGUMENT: Required request parameters are missing or invalid. * NOT_FOUND: The customer was not found. * ALREADY_EXISTS: The customer's primary email already exists. Retry after changing the customer's primary contact email. * INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. * UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The ID of a long-running operation. To get the results of the operation, call the GetOperation method of CloudChannelOperationsService. The Operation metadata contains an instance of OperationMetadata.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_provision_cloud_identity/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_provision_cloud_identity/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `customer` (*type:* `String.t`) - Required. Resource name of the customer. Format: accounts/{account_id}/customers/{customer_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ProvisionCloudIdentityRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_provision_cloud_identity/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_provision_cloud_identity/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_provision_cloud_identity/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_query_eligible_billing_accounts/4","doc":"Lists the billing accounts that are eligible to purchase particular SKUs for a given customer. Possible error codes: * PERMISSION_DENIED: The customer doesn't belong to the reseller. * INVALID_ARGUMENT: Required request parameters are missing or invalid. Return value: Based on the provided list of SKUs, returns a list of SKU groups that must be purchased using the same billing account and the billing accounts eligible to purchase each SKU group.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_query_eligible_billing_accounts/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_query_eligible_billing_accounts/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `customer` (*type:* `String.t`) - Required. The resource name of the customer to list eligible billing accounts for. Format: accounts/{account_id}/customers/{customer_id}.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:skus` (*type:* `list(String.t)`) - Required. List of SKUs to list eligible billing accounts for. At least one SKU is required. Format: products/{product_id}/skus/{sku_id}.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_query_eligible_billing_accounts/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_query_eligible_billing_accounts/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1QueryEligibleBillingAccountsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_query_eligible_billing_accounts/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_transfer_entitlements/4","doc":"Transfers customer entitlements to new reseller. Possible error codes: * PERMISSION_DENIED: * The customer doesn't belong to the reseller. * The reseller is not authorized to transact on this Product. See https://support.google.com/channelservices/answer/9759265 * INVALID_ARGUMENT: Required request parameters are missing or invalid. * NOT_FOUND: The customer or offer resource was not found. * ALREADY_EXISTS: The SKU was already transferred for the customer. * CONDITION_NOT_MET or FAILED_PRECONDITION: * The SKU requires domain verification to transfer, but the domain is not verified. * An Add-On SKU (example, Vault or Drive) is missing the pre-requisite SKU (example, G Suite Basic). * (Developer accounts only) Reseller and resold domain must meet the following naming requirements: * Domain names must start with goog-test. * Domain names must include the reseller domain. * Specify all transferring entitlements. * INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. * UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The ID of a long-running operation. To get the results of the operation, call the GetOperation method of CloudChannelOperationsService. The Operation metadata will contain an instance of OperationMetadata.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_transfer_entitlements/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_transfer_entitlements/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the reseller's customer account that will receive transferred entitlements. Parent uses the format: accounts/{account_id}/customers/{customer_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_transfer_entitlements/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_transfer_entitlements/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_transfer_entitlements/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_transfer_entitlements_to_google/4","doc":"Transfers customer entitlements from their current reseller to Google. Possible error codes: * PERMISSION_DENIED: The customer doesn't belong to the reseller. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * NOT_FOUND: The customer or offer resource was not found. * ALREADY_EXISTS: The SKU was already transferred for the customer. * CONDITION_NOT_MET or FAILED_PRECONDITION: * The SKU requires domain verification to transfer, but the domain is not verified. * An Add-On SKU (example, Vault or Drive) is missing the pre-requisite SKU (example, G Suite Basic). * (Developer accounts only) Reseller and resold domain must meet the following naming requirements: * Domain names must start with goog-test. * Domain names must include the reseller domain. * INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. * UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The ID of a long-running operation. To get the results of the operation, call the GetOperation method of CloudChannelOperationsService. The response will contain google.protobuf.Empty on success. The Operation metadata will contain an instance of OperationMetadata.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_transfer_entitlements_to_google/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_transfer_entitlements_to_google/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the reseller's customer account where the entitlements transfer from. Parent uses the format: accounts/{account_id}/customers/{customer_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsToGoogleRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_transfer_entitlements_to_google/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_customers_transfer_entitlements_to_google/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_customers_transfer_entitlements_to_google/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_list_subscribers/4","doc":"Lists service accounts with subscriber privileges on the Cloud Pub/Sub topic created for this Channel Services account. Possible error codes: * PERMISSION_DENIED: The reseller account making the request and the provided reseller account are different, or the impersonated user is not a super admin. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * NOT_FOUND: The topic resource doesn't exist. * INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. * UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: A list of service email addresses.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_list_subscribers/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_list_subscribers/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `account` (*type:* `String.t`) - Optional. Resource name of the account.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:integrator` (*type:* `String.t`) - Optional. Resource name of the integrator.\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of service accounts to return. The service may return fewer than this value. If unspecified, returns at most 100 service accounts. The maximum value is 1000; the server will coerce values above 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. A page token, received from a previous `ListSubscribers` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListSubscribers` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_list_subscribers/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_list_subscribers/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSubscribersResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_list_subscribers/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_list_transferable_offers/4","doc":"List TransferableOffers of a customer based on Cloud Identity ID or Customer Name in the request. Use this method when a reseller gets the entitlement information of an unowned customer. The reseller should provide the customer's Cloud Identity ID or Customer Name. Possible error codes: * PERMISSION_DENIED: * The customer doesn't belong to the reseller and has no auth token. * The customer provided incorrect reseller information when generating auth token. * The reseller account making the request is different from the reseller account in the query. * The reseller is not authorized to transact on this Product. See https://support.google.com/channelservices/answer/9759265 * INVALID_ARGUMENT: Required request parameters are missing or invalid. Return value: List of TransferableOffer for the given customer and SKU.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_list_transferable_offers/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_list_transferable_offers/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the reseller's account.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableOffersRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_list_transferable_offers/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_list_transferable_offers/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableOffersResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_list_transferable_offers/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_list_transferable_skus/4","doc":"List TransferableSkus of a customer based on the Cloud Identity ID or Customer Name in the request. Use this method to list the entitlements information of an unowned customer. You should provide the customer's Cloud Identity ID or Customer Name. Possible error codes: * PERMISSION_DENIED: * The customer doesn't belong to the reseller and has no auth token. * The supplied auth token is invalid. * The reseller account making the request is different from the reseller account in the query. * INVALID_ARGUMENT: Required request parameters are missing or invalid. Return value: A list of the customer's TransferableSku.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_list_transferable_skus/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_list_transferable_skus/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The reseller account's resource name. Parent uses the format: accounts/{account_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableSkusRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_list_transferable_skus/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_list_transferable_skus/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableSkusResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_list_transferable_skus/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_offers_list/4","doc":"Lists the Offers the reseller can sell. Possible error codes: * INVALID_ARGUMENT: Required request parameters are missing or invalid.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_offers_list/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_offers_list/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the reseller account from which to list Offers. Parent uses the format: accounts/{account_id}.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - Optional. The expression to filter results by name (name of the Offer), sku.name (name of the SKU), or sku.product.name (name of the Product). Example 1: sku.product.name=products/p1 AND sku.name!=products/p1/skus/s1 Example 2: name=accounts/a1/offers/o1\n    *   `:languageCode` (*type:* `String.t`) - Optional. The BCP-47 language code. For example, \"en-US\". The response will localize in the corresponding language code, if specified. The default value is \"en-US\".\n    *   `:pageSize` (*type:* `integer()`) - Optional. Requested page size. Server might return fewer results than requested. If unspecified, returns at most 500 Offers. The maximum value is 1000; the server will coerce values above 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. A token for a page of results other than the first page.\n    *   `:showFutureOffers` (*type:* `boolean()`) - Optional. A boolean flag that determines if a response returns future offers 30 days from now. If the show_future_offers is true, the response will only contain offers that are scheduled to be available 30 days from now.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_offers_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_offers_list/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListOffersResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_offers_list/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_register/4","doc":"Registers a service account with subscriber privileges on the Cloud Pub/Sub topic for this Channel Services account. After you create a subscriber, you get the events through SubscriberEvent Possible error codes: * PERMISSION_DENIED: The reseller account making the request and the provided reseller account are different, or the impersonated user is not a super admin. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. * UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The topic name with the registered service email address.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_register/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_register/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `account` (*type:* `String.t`) - Optional. Resource name of the account.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RegisterSubscriberRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_register/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_register/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RegisterSubscriberResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_register/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_report_jobs_fetch_report_results/4","doc":"Retrieves data generated by CloudChannelReportsService.RunReportJob. Deprecated: Please use [Export Channel Services data to BigQuery](https://cloud.google.com/channel/docs/rebilling/export-data-to-bigquery) instead.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_report_jobs_fetch_report_results/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_report_jobs_fetch_report_results/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `report_job` (*type:* `String.t`) - Required. The report job created by CloudChannelReportsService.RunReportJob. Report_job uses the format: accounts/{account_id}/reportJobs/{report_job_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1FetchReportResultsRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_report_jobs_fetch_report_results/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_report_jobs_fetch_report_results/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1FetchReportResultsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_report_jobs_fetch_report_results/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_reports_list/4","doc":"Lists the reports that RunReportJob can run. These reports include an ID, a description, and the list of columns that will be in the result. Deprecated: Please use [Export Channel Services data to BigQuery](https://cloud.google.com/channel/docs/rebilling/export-data-to-bigquery) instead.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_reports_list/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_reports_list/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the partner account to list available reports for. Parent uses the format: accounts/{account_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:languageCode` (*type:* `String.t`) - Optional. The BCP-47 language code, such as \"en-US\". If specified, the response is localized to the corresponding language code if the original data sources support it. Default is \"en-US\".\n    *   `:pageSize` (*type:* `integer()`) - Optional. Requested page size of the report. The server might return fewer results than requested. If unspecified, returns 20 reports. The maximum value is 100.\n    *   `:pageToken` (*type:* `String.t`) - Optional. A token that specifies a page of results beyond the first page. Obtained through ListReportsResponse.next_page_token of the previous CloudChannelReportsService.ListReports call.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_reports_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_reports_list/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListReportsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_reports_list/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_reports_run/4","doc":"Begins generation of data for a given report. The report identifier is a UID (for example, `613bf59q`). Possible error codes: * PERMISSION_DENIED: The user doesn't have access to this report. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * NOT_FOUND: The report identifier was not found. * INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. * UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The ID of a long-running operation. To get the results of the operation, call the GetOperation method of CloudChannelOperationsService. The Operation metadata contains an instance of OperationMetadata. To get the results of report generation, call CloudChannelReportsService.FetchReportResults with the RunReportJobResponse.report_job. Deprecated: Please use [Export Channel Services data to BigQuery](https://cloud.google.com/channel/docs/rebilling/export-data-to-bigquery) instead.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_reports_run/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_reports_run/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - Required. The report's resource name. Specifies the account and report used to generate report data. The report_id identifier is a UID (for example, `613bf59q`). Name uses the format: accounts/{account_id}/reports/{report_id}\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RunReportJobRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_reports_run/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_reports_run/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_reports_run/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_sku_groups_billable_skus_list/4","doc":"Lists the Billable SKUs in a given SKU group. Possible error codes: PERMISSION_DENIED: If the account making the request and the account being queried for are different, or the account doesn't exist. INVALID_ARGUMENT: Missing or invalid required parameters in the request. INTERNAL: Any non-user error related to technical issue in the backend. In this case, contact cloud channel support. Return Value: If successful, the BillableSku resources. The data for each resource is displayed in the ascending order of: * BillableSku.service_display_name * BillableSku.sku_display_name If unsuccessful, returns an error.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_sku_groups_billable_skus_list/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_sku_groups_billable_skus_list/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. Resource name of the SKU group. Format: accounts/{account}/skuGroups/{sku_group}.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of SKUs to return. The service may return fewer than this value. If unspecified, returns a maximum of 100000 SKUs. The maximum value is 100000; values above 100000 will be coerced to 100000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. A token identifying a page of results beyond the first page. Obtained through ListSkuGroupBillableSkus.next_page_token of the previous CloudChannelService.ListSkuGroupBillableSkus call.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_sku_groups_billable_skus_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_sku_groups_billable_skus_list/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkuGroupBillableSkusResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_sku_groups_billable_skus_list/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_sku_groups_list/4","doc":"Lists the Rebilling supported SKU groups the account is authorized to sell. Reference: https://cloud.google.com/skus/sku-groups Possible Error Codes: * PERMISSION_DENIED: If the account making the request and the account being queried are different, or the account doesn't exist. * INTERNAL: Any non-user error related to technical issues in the backend. In this case, contact Cloud Channel support. Return Value: If successful, the SkuGroup resources. The data for each resource is displayed in the alphabetical order of SKU group display name. The data for each resource is displayed in the ascending order of SkuGroup.display_name If unsuccessful, returns an error.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_sku_groups_list/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_sku_groups_list/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the account from which to list SKU groups. Parent uses the format: accounts/{account}.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of SKU groups to return. The service may return fewer than this value. If unspecified, returns a maximum of 1000 SKU groups. The maximum value is 1000; values above 1000 will be coerced to 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. A token identifying a page of results beyond the first page. Obtained through ListSkuGroups.next_page_token of the previous CloudChannelService.ListSkuGroups call.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_sku_groups_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_sku_groups_list/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkuGroupsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_sku_groups_list/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_unregister/4","doc":"Unregisters a service account with subscriber privileges on the Cloud Pub/Sub topic created for this Channel Services account. If there are no service accounts left with subscriber privileges, this deletes the topic. You can call ListSubscribers to check for these accounts. Possible error codes: * PERMISSION_DENIED: The reseller account making the request and the provided reseller account are different, or the impersonated user is not a super admin. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * NOT_FOUND: The topic resource doesn't exist. * INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. * UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The topic name that unregistered the service email address. Returns a success response if the service email address wasn't registered with the topic.","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_unregister/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_unregister/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `account` (*type:* `String.t`) - Optional. Resource name of the account.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UnregisterSubscriberRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_unregister/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Accounts.cloudchannel_accounts_unregister/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UnregisterSubscriberResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Accounts.html#cloudchannel_accounts_unregister/4-returns"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Api.Integrators","doc":"API calls for all endpoints tagged `Integrators`.","ref":"GoogleApi.CloudChannel.V1.Api.Integrators.html"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Integrators.cloudchannel_integrators_list_subscribers/4","doc":"Lists service accounts with subscriber privileges on the Cloud Pub/Sub topic created for this Channel Services account. Possible error codes: * PERMISSION_DENIED: The reseller account making the request and the provided reseller account are different, or the impersonated user is not a super admin. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * NOT_FOUND: The topic resource doesn't exist. * INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. * UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: A list of service email addresses.","ref":"GoogleApi.CloudChannel.V1.Api.Integrators.html#cloudchannel_integrators_list_subscribers/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Integrators.cloudchannel_integrators_list_subscribers/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `integrator` (*type:* `String.t`) - Optional. Resource name of the integrator.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:account` (*type:* `String.t`) - Optional. Resource name of the account.\n    *   `:pageSize` (*type:* `integer()`) - Optional. The maximum number of service accounts to return. The service may return fewer than this value. If unspecified, returns at most 100 service accounts. The maximum value is 1000; the server will coerce values above 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. A page token, received from a previous `ListSubscribers` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `ListSubscribers` must match the call that provided the page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Integrators.html#cloudchannel_integrators_list_subscribers/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Integrators.cloudchannel_integrators_list_subscribers/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSubscribersResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Integrators.html#cloudchannel_integrators_list_subscribers/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Integrators.cloudchannel_integrators_register_subscriber/4","doc":"Registers a service account with subscriber privileges on the Cloud Pub/Sub topic for this Channel Services account. After you create a subscriber, you get the events through SubscriberEvent Possible error codes: * PERMISSION_DENIED: The reseller account making the request and the provided reseller account are different, or the impersonated user is not a super admin. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. * UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The topic name with the registered service email address.","ref":"GoogleApi.CloudChannel.V1.Api.Integrators.html#cloudchannel_integrators_register_subscriber/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Integrators.cloudchannel_integrators_register_subscriber/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `integrator` (*type:* `String.t`) - Optional. Resource name of the integrator.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:account` (*type:* `String.t`) - Optional. Resource name of the account.\n    *   `:serviceAccount` (*type:* `String.t`) - Required. Service account that provides subscriber access to the registered topic.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Integrators.html#cloudchannel_integrators_register_subscriber/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Integrators.cloudchannel_integrators_register_subscriber/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RegisterSubscriberResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Integrators.html#cloudchannel_integrators_register_subscriber/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Integrators.cloudchannel_integrators_unregister_subscriber/4","doc":"Unregisters a service account with subscriber privileges on the Cloud Pub/Sub topic created for this Channel Services account. If there are no service accounts left with subscriber privileges, this deletes the topic. You can call ListSubscribers to check for these accounts. Possible error codes: * PERMISSION_DENIED: The reseller account making the request and the provided reseller account are different, or the impersonated user is not a super admin. * INVALID_ARGUMENT: Required request parameters are missing or invalid. * NOT_FOUND: The topic resource doesn't exist. * INTERNAL: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. * UNKNOWN: Any non-user error related to a technical issue in the backend. Contact Cloud Channel support. Return value: The topic name that unregistered the service email address. Returns a success response if the service email address wasn't registered with the topic.","ref":"GoogleApi.CloudChannel.V1.Api.Integrators.html#cloudchannel_integrators_unregister_subscriber/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Integrators.cloudchannel_integrators_unregister_subscriber/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `integrator` (*type:* `String.t`) - Optional. Resource name of the integrator.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:account` (*type:* `String.t`) - Optional. Resource name of the account.\n    *   `:serviceAccount` (*type:* `String.t`) - Required. Service account to unregister from subscriber access to the topic.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Integrators.html#cloudchannel_integrators_unregister_subscriber/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Integrators.cloudchannel_integrators_unregister_subscriber/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UnregisterSubscriberResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Integrators.html#cloudchannel_integrators_unregister_subscriber/4-returns"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Api.Operations","doc":"API calls for all endpoints tagged `Operations`.","ref":"GoogleApi.CloudChannel.V1.Api.Operations.html"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Operations.cloudchannel_operations_cancel/4","doc":"Starts asynchronous cancellation on a long-running operation. The server makes a best effort to cancel the operation, but success is not guaranteed. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`. Clients can use Operations.GetOperation or other methods to check whether the cancellation succeeded or whether the operation completed despite cancellation. On successful cancellation, the operation is not deleted; instead, it becomes an operation with an Operation.error value with a google.rpc.Status.code of 1, corresponding to `Code.CANCELLED`.","ref":"GoogleApi.CloudChannel.V1.Api.Operations.html#cloudchannel_operations_cancel/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Operations.cloudchannel_operations_cancel/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be cancelled.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:body` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleLongrunningCancelOperationRequest.t`) - \n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Operations.html#cloudchannel_operations_cancel/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Operations.cloudchannel_operations_cancel/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Operations.html#cloudchannel_operations_cancel/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Operations.cloudchannel_operations_delete/4","doc":"Deletes a long-running operation. This method indicates that the client is no longer interested in the operation result. It does not cancel the operation. If the server doesn't support this method, it returns `google.rpc.Code.UNIMPLEMENTED`.","ref":"GoogleApi.CloudChannel.V1.Api.Operations.html#cloudchannel_operations_delete/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Operations.cloudchannel_operations_delete/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource to be deleted.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Operations.html#cloudchannel_operations_delete/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Operations.cloudchannel_operations_delete/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleProtobufEmpty{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Operations.html#cloudchannel_operations_delete/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Operations.cloudchannel_operations_get/4","doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service.","ref":"GoogleApi.CloudChannel.V1.Api.Operations.html#cloudchannel_operations_get/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Operations.cloudchannel_operations_get/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Operations.html#cloudchannel_operations_get/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Operations.cloudchannel_operations_get/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleLongrunningOperation{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Operations.html#cloudchannel_operations_get/4-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Operations.cloudchannel_operations_list/4","doc":"Lists operations that match the specified filter in the request. If the server doesn't support this method, it returns `UNIMPLEMENTED`.","ref":"GoogleApi.CloudChannel.V1.Api.Operations.html#cloudchannel_operations_list/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Operations.cloudchannel_operations_list/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `name` (*type:* `String.t`) - The name of the operation's parent resource.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:filter` (*type:* `String.t`) - The standard list filter.\n    *   `:pageSize` (*type:* `integer()`) - The standard list page size.\n    *   `:pageToken` (*type:* `String.t`) - The standard list page token.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Operations.html#cloudchannel_operations_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Operations.cloudchannel_operations_list/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleLongrunningListOperationsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Operations.html#cloudchannel_operations_list/4-returns"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Api.Products","doc":"API calls for all endpoints tagged `Products`.","ref":"GoogleApi.CloudChannel.V1.Api.Products.html"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Products.cloudchannel_products_list/3","doc":"Lists the Products the reseller is authorized to sell. Possible error codes: * INVALID_ARGUMENT: Required request parameters are missing or invalid.","ref":"GoogleApi.CloudChannel.V1.Api.Products.html#cloudchannel_products_list/3"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Products.cloudchannel_products_list/3","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:account` (*type:* `String.t`) - Required. The resource name of the reseller account. Format: accounts/{account_id}.\n    *   `:languageCode` (*type:* `String.t`) - Optional. The BCP-47 language code. For example, \"en-US\". The response will localize in the corresponding language code, if specified. The default value is \"en-US\".\n    *   `:pageSize` (*type:* `integer()`) - Optional. Requested page size. Server might return fewer results than requested. If unspecified, returns at most 100 Products. The maximum value is 1000; the server will coerce values above 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. A token for a page of results other than the first page.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Products.html#cloudchannel_products_list/3-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Products.cloudchannel_products_list/3","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListProductsResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Products.html#cloudchannel_products_list/3-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Api.Products.cloudchannel_products_skus_list/4","doc":"Lists the SKUs for a product the reseller is authorized to sell. Possible error codes: * INVALID_ARGUMENT: Required request parameters are missing or invalid.","ref":"GoogleApi.CloudChannel.V1.Api.Products.html#cloudchannel_products_skus_list/4"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Api.Products.cloudchannel_products_skus_list/4","doc":"*   `connection` (*type:* `GoogleApi.CloudChannel.V1.Connection.t`) - Connection to server\n*   `parent` (*type:* `String.t`) - Required. The resource name of the Product to list SKUs for. Parent uses the format: products/{product_id}. Supports products/- to retrieve SKUs for all products.\n*   `optional_params` (*type:* `keyword()`) - Optional parameters\n    *   `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format.\n    *   `:access_token` (*type:* `String.t`) - OAuth access token.\n    *   `:alt` (*type:* `String.t`) - Data format for response.\n    *   `:callback` (*type:* `String.t`) - JSONP\n    *   `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response.\n    *   `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.\n    *   `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user.\n    *   `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks.\n    *   `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters.\n    *   `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\").\n    *   `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\").\n    *   `:account` (*type:* `String.t`) - Required. Resource name of the reseller. Format: accounts/{account_id}.\n    *   `:languageCode` (*type:* `String.t`) - Optional. The BCP-47 language code. For example, \"en-US\". The response will localize in the corresponding language code, if specified. The default value is \"en-US\".\n    *   `:pageSize` (*type:* `integer()`) - Optional. Requested page size. Server might return fewer results than requested. If unspecified, returns at most 100 SKUs. The maximum value is 1000; the server will coerce values above 1000.\n    *   `:pageToken` (*type:* `String.t`) - Optional. A token for a page of results other than the first page. Optional.\n*   `opts` (*type:* `keyword()`) - Call options","ref":"GoogleApi.CloudChannel.V1.Api.Products.html#cloudchannel_products_skus_list/4-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Api.Products.cloudchannel_products_skus_list/4","doc":"*   `{:ok, %GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkusResponse{}}` on success\n*   `{:error, info}` on failure","ref":"GoogleApi.CloudChannel.V1.Api.Products.html#cloudchannel_products_skus_list/4-returns"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Connection","doc":"Handle Tesla connections for GoogleApi.CloudChannel.V1.","ref":"GoogleApi.CloudChannel.V1.Connection.html"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Connection.delete/3","doc":"Perform a DELETE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    delete(\"/users\")\n    delete(\"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\")\n    delete(client, \"/users\", query: [scope: \"admin\"])\n    delete(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudChannel.V1.Connection.html#delete/3"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Connection.delete!/3","doc":"Perform a DELETE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    delete!(\"/users\")\n    delete!(\"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\")\n    delete!(client, \"/users\", query: [scope: \"admin\"])\n    delete!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudChannel.V1.Connection.html#delete!/3"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Connection.execute/2","doc":"Execute a request on this connection","ref":"GoogleApi.CloudChannel.V1.Connection.html#execute/2"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Connection.execute/2","doc":"*   `{:ok, Tesla.Env.t}` - If the call was successful\n*   `{:error, reason}` - If the call failed","ref":"GoogleApi.CloudChannel.V1.Connection.html#execute/2-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Connection.get/3","doc":"Perform a GET request.\n\nSee `request/1` or `request/2` for options definition.\n\n    get(\"/users\")\n    get(\"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\")\n    get(client, \"/users\", query: [scope: \"admin\"])\n    get(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudChannel.V1.Connection.html#get/3"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Connection.get!/3","doc":"Perform a GET request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    get!(\"/users\")\n    get!(\"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\")\n    get!(client, \"/users\", query: [scope: \"admin\"])\n    get!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudChannel.V1.Connection.html#get!/3"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Connection.head/3","doc":"Perform a HEAD request.\n\nSee `request/1` or `request/2` for options definition.\n\n    head(\"/users\")\n    head(\"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\")\n    head(client, \"/users\", query: [scope: \"admin\"])\n    head(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudChannel.V1.Connection.html#head/3"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Connection.head!/3","doc":"Perform a HEAD request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    head!(\"/users\")\n    head!(\"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\")\n    head!(client, \"/users\", query: [scope: \"admin\"])\n    head!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudChannel.V1.Connection.html#head!/3"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Connection.new/0","doc":"Configure an authless client connection","ref":"GoogleApi.CloudChannel.V1.Connection.html#new/0"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Connection.new/0","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.CloudChannel.V1.Connection.html#new/0-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Connection.new/1","doc":"Configure a client connection using a function which yields a Bearer token.","ref":"GoogleApi.CloudChannel.V1.Connection.html#new/1"},{"type":"function","title":"Parameters - GoogleApi.CloudChannel.V1.Connection.new/1","doc":"*   `token_fetcher` (*type:* `list(String.t()) -> String.t()`) - Callback\n    which provides an OAuth2 token given a list of scopes","ref":"GoogleApi.CloudChannel.V1.Connection.html#new/1-parameters"},{"type":"function","title":"Returns - GoogleApi.CloudChannel.V1.Connection.new/1","doc":"*   `Tesla.Env.client`","ref":"GoogleApi.CloudChannel.V1.Connection.html#new/1-returns"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Connection.options/3","doc":"Perform a OPTIONS request.\n\nSee `request/1` or `request/2` for options definition.\n\n    options(\"/users\")\n    options(\"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\")\n    options(client, \"/users\", query: [scope: \"admin\"])\n    options(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudChannel.V1.Connection.html#options/3"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Connection.options!/3","doc":"Perform a OPTIONS request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    options!(\"/users\")\n    options!(\"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\")\n    options!(client, \"/users\", query: [scope: \"admin\"])\n    options!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudChannel.V1.Connection.html#options!/3"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Connection.patch/4","doc":"Perform a PATCH request.\n\nSee `request/1` or `request/2` for options definition.\n\n    patch(\"/users\", %{name: \"Jon\"})\n    patch(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch(client, \"/users\", %{name: \"Jon\"})\n    patch(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudChannel.V1.Connection.html#patch/4"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Connection.patch!/4","doc":"Perform a PATCH request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    patch!(\"/users\", %{name: \"Jon\"})\n    patch!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    patch!(client, \"/users\", %{name: \"Jon\"})\n    patch!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudChannel.V1.Connection.html#patch!/4"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Connection.post/4","doc":"Perform a POST request.\n\nSee `request/1` or `request/2` for options definition.\n\n    post(\"/users\", %{name: \"Jon\"})\n    post(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post(client, \"/users\", %{name: \"Jon\"})\n    post(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudChannel.V1.Connection.html#post/4"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Connection.post!/4","doc":"Perform a POST request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    post!(\"/users\", %{name: \"Jon\"})\n    post!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    post!(client, \"/users\", %{name: \"Jon\"})\n    post!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudChannel.V1.Connection.html#post!/4"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Connection.put/4","doc":"Perform a PUT request.\n\nSee `request/1` or `request/2` for options definition.\n\n    put(\"/users\", %{name: \"Jon\"})\n    put(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put(client, \"/users\", %{name: \"Jon\"})\n    put(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudChannel.V1.Connection.html#put/4"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Connection.put!/4","doc":"Perform a PUT request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    put!(\"/users\", %{name: \"Jon\"})\n    put!(\"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])\n    put!(client, \"/users\", %{name: \"Jon\"})\n    put!(client, \"/users\", %{name: \"Jon\"}, query: [scope: \"admin\"])","ref":"GoogleApi.CloudChannel.V1.Connection.html#put!/4"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Connection.request/2","doc":"Perform a request.","ref":"GoogleApi.CloudChannel.V1.Connection.html#request/2"},{"type":"function","title":"Options - GoogleApi.CloudChannel.V1.Connection.request/2","doc":"- `:method` - the request method, one of [`:head`, `:get`, `:delete`, `:trace`, `:options`, `:post`, `:put`, `:patch`]\n- `:url` - either full url e.g. \"http://example.com/some/path\" or just \"/some/path\" if using `Tesla.Middleware.BaseUrl`\n- `:query` - a keyword list of query params, e.g. `[page: 1, per_page: 100]`\n- `:headers` - a keyworld list of headers, e.g. `[{\"content-type\", \"text/plain\"}]`\n- `:body` - depends on used middleware:\n    - by default it can be a binary\n    - if using e.g. JSON encoding middleware it can be a nested map\n    - if adapter supports it it can be a Stream with any of the above\n- `:opts` - custom, per-request middleware or adapter options","ref":"GoogleApi.CloudChannel.V1.Connection.html#request/2-options"},{"type":"function","title":"Examples - GoogleApi.CloudChannel.V1.Connection.request/2","doc":"ExampleApi.request(method: :get, url: \"/users/path\")\n\n    # use shortcut methods\n    ExampleApi.get(\"/users/1\")\n    ExampleApi.post(client, \"/users\", %{name: \"Jon\"})","ref":"GoogleApi.CloudChannel.V1.Connection.html#request/2-examples"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Connection.request!/2","doc":"Perform request and raise in case of error.\n\nThis is similar to `request/2` behaviour from Tesla 0.x\n\nSee `request/2` for list of available options.","ref":"GoogleApi.CloudChannel.V1.Connection.html#request!/2"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Connection.trace/3","doc":"Perform a TRACE request.\n\nSee `request/1` or `request/2` for options definition.\n\n    trace(\"/users\")\n    trace(\"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\")\n    trace(client, \"/users\", query: [scope: \"admin\"])\n    trace(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudChannel.V1.Connection.html#trace/3"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Connection.trace!/3","doc":"Perform a TRACE request.\n\nSee `request!/1` or `request!/2` for options definition.\n\n    trace!(\"/users\")\n    trace!(\"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\")\n    trace!(client, \"/users\", query: [scope: \"admin\"])\n    trace!(client, \"/users\", body: %{name: \"Jon\"})","ref":"GoogleApi.CloudChannel.V1.Connection.html#trace!/3"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Connection.option/0","doc":"Options that may be passed to a request function. See `request/2` for detailed descriptions.","ref":"GoogleApi.CloudChannel.V1.Connection.html#t:option/0"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Connection.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Connection.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ActivateEntitlementRequest","doc":"Request message for CloudChannelService.ActivateEntitlement.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ActivateEntitlementRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ActivateEntitlementRequest","doc":"*   `requestId` (*type:* `String.t`, *default:* `nil`) - Optional. You can specify an optional unique request ID, and if you need to retry your request, the server will know to ignore the request if it's complete. For example, you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if it received the original operation with the same request ID. If it did, it will ignore the second request. The request ID must be a valid [UUID](https://tools.ietf.org/html/rfc4122) with the exception that zero UUID is not supported (`00000000-0000-0000-0000-000000000000`).","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ActivateEntitlementRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ActivateEntitlementRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ActivateEntitlementRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ActivateEntitlementRequest.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ActivateEntitlementRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1AdminUser","doc":"Information needed to create an Admin User for Google Workspace.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1AdminUser.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1AdminUser","doc":"*   `email` (*type:* `String.t`, *default:* `nil`) - Primary email of the admin user.\n*   `familyName` (*type:* `String.t`, *default:* `nil`) - Family name of the admin user.\n*   `givenName` (*type:* `String.t`, *default:* `nil`) - Given name of the admin user.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1AdminUser.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1AdminUser.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1AdminUser.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1AdminUser.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1AdminUser.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1AssociationInfo","doc":"Association links that an entitlement has to other entitlements.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1AssociationInfo.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1AssociationInfo","doc":"*   `baseEntitlement` (*type:* `String.t`, *default:* `nil`) - The name of the base entitlement, for which this entitlement is an add-on.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1AssociationInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1AssociationInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1AssociationInfo.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1AssociationInfo.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1AssociationInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillableSku","doc":"Represents the Billable SKU information.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillableSku.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillableSku","doc":"*   `service` (*type:* `String.t`, *default:* `nil`) - Resource name of Service which contains Repricing SKU. Format: services/{service}. Example: \"services/B7D9-FDCB-15D8\".\n*   `serviceDisplayName` (*type:* `String.t`, *default:* `nil`) - Unique human readable name for the Service.\n*   `sku` (*type:* `String.t`, *default:* `nil`) - Resource name of Billable SKU. Format: billableSkus/{sku}. Example: billableSkus/6E1B-6634-470F\".\n*   `skuDisplayName` (*type:* `String.t`, *default:* `nil`) - Unique human readable name for the SKU.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillableSku.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillableSku.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillableSku.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillableSku.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillableSku.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillingAccount","doc":"Represents a billing account.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillingAccount.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillingAccount","doc":"*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time when this billing account was created.\n*   `currencyCode` (*type:* `String.t`, *default:* `nil`) - Output only. The 3-letter currency code defined in ISO 4217.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Display name of the billing account.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Resource name of the billing account. Format: accounts/{account_id}/billingAccounts/{billing_account_id}.\n*   `regionCode` (*type:* `String.t`, *default:* `nil`) - Output only. The CLDR region code.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillingAccount.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillingAccount.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillingAccount.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillingAccount.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillingAccount.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillingAccountPurchaseInfo","doc":"Represents a billing account that can be used to make a purchase.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillingAccountPurchaseInfo.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillingAccountPurchaseInfo","doc":"*   `billingAccount` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillingAccount.t`, *default:* `nil`) - The billing account resource.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillingAccountPurchaseInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillingAccountPurchaseInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillingAccountPurchaseInfo.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillingAccountPurchaseInfo.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillingAccountPurchaseInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CancelEntitlementRequest","doc":"Request message for CloudChannelService.CancelEntitlement.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CancelEntitlementRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CancelEntitlementRequest","doc":"*   `requestId` (*type:* `String.t`, *default:* `nil`) - Optional. You can specify an optional unique request ID, and if you need to retry your request, the server will know to ignore the request if it's complete. For example, you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if it received the original operation with the same request ID. If it did, it will ignore the second request. The request ID must be a valid [UUID](https://tools.ietf.org/html/rfc4122) with the exception that zero UUID is not supported (`00000000-0000-0000-0000-000000000000`).","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CancelEntitlementRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CancelEntitlementRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CancelEntitlementRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CancelEntitlementRequest.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CancelEntitlementRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeOfferRequest","doc":"Request message for CloudChannelService.ChangeOffer.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeOfferRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeOfferRequest","doc":"*   `billingAccount` (*type:* `String.t`, *default:* `nil`) - Optional. The billing account resource name that is used to pay for this entitlement when setting up billing on a trial subscription. This field is only relevant for multi-currency accounts. It should be left empty for single currency accounts.\n*   `offer` (*type:* `String.t`, *default:* `nil`) - Required. New Offer. Format: accounts/{account_id}/offers/{offer_id}.\n*   `parameters` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Parameter.t)`, *default:* `nil`) - Optional. Parameters needed to purchase the Offer. To view the available Parameters refer to the Offer.parameter_definitions from the desired offer.\n*   `purchaseOrderId` (*type:* `String.t`, *default:* `nil`) - Optional. Purchase order id provided by the reseller.\n*   `requestId` (*type:* `String.t`, *default:* `nil`) - Optional. You can specify an optional unique request ID, and if you need to retry your request, the server will know to ignore the request if it's complete. For example, you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if it received the original operation with the same request ID. If it did, it will ignore the second request. The request ID must be a valid [UUID](https://tools.ietf.org/html/rfc4122) with the exception that zero UUID is not supported (`00000000-0000-0000-0000-000000000000`).","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeOfferRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeOfferRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeOfferRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeOfferRequest.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeOfferRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeParametersRequest","doc":"Request message for CloudChannelService.ChangeParametersRequest.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeParametersRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeParametersRequest","doc":"*   `parameters` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Parameter.t)`, *default:* `nil`) - Required. Entitlement parameters to update. You can only change editable parameters. To view the available Parameters for a request, refer to the Offer.parameter_definitions from the desired offer.\n*   `purchaseOrderId` (*type:* `String.t`, *default:* `nil`) - Optional. Purchase order ID provided by the reseller.\n*   `requestId` (*type:* `String.t`, *default:* `nil`) - Optional. You can specify an optional unique request ID, and if you need to retry your request, the server will know to ignore the request if it's complete. For example, you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if it received the original operation with the same request ID. If it did, it will ignore the second request. The request ID must be a valid [UUID](https://tools.ietf.org/html/rfc4122) with the exception that zero UUID is not supported (`00000000-0000-0000-0000-000000000000`).","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeParametersRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeParametersRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeParametersRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeParametersRequest.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeParametersRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeRenewalSettingsRequest","doc":"Request message for CloudChannelService.ChangeRenewalSettings.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeRenewalSettingsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeRenewalSettingsRequest","doc":"*   `renewalSettings` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RenewalSettings.t`, *default:* `nil`) - Required. New renewal settings.\n*   `requestId` (*type:* `String.t`, *default:* `nil`) - Optional. You can specify an optional unique request ID, and if you need to retry your request, the server will know to ignore the request if it's complete. For example, you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if it received the original operation with the same request ID. If it did, it will ignore the second request. The request ID must be a valid [UUID](https://tools.ietf.org/html/rfc4122) with the exception that zero UUID is not supported (`00000000-0000-0000-0000-000000000000`).","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeRenewalSettingsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeRenewalSettingsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeRenewalSettingsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeRenewalSettingsRequest.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChangeRenewalSettingsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerLink","doc":"Entity representing a link between distributors and their indirect resellers in an n-tier resale channel.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerLink.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerLink","doc":"*   `channelPartnerCloudIdentityInfo` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CloudIdentityInfo.t`, *default:* `nil`) - Output only. Cloud Identity info of the channel partner (IR).\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Timestamp of when the channel partner link is created.\n*   `inviteLinkUri` (*type:* `String.t`, *default:* `nil`) - Output only. URI of the web page where partner accepts the link invitation.\n*   `linkState` (*type:* `String.t`, *default:* `nil`) - Required. State of the channel partner link.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Resource name for the channel partner link, in the format accounts/{account_id}/channelPartnerLinks/{id}.\n*   `publicId` (*type:* `String.t`, *default:* `nil`) - Output only. Public identifier that a customer must use to generate a transfer token to move to this distributor-reseller combination.\n*   `resellerCloudIdentityId` (*type:* `String.t`, *default:* `nil`) - Required. Cloud Identity ID of the linked reseller.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Timestamp of when the channel partner link is updated.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerLink.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerLink.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerLink.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerLink.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerLink.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerRepricingConfig","doc":"Configuration for how a distributor will rebill a channel partner (also known as a distributor-authorized reseller).","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerRepricingConfig.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerRepricingConfig","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Resource name of the ChannelPartnerRepricingConfig. Format: accounts/{account_id}/channelPartnerLinks/{channel_partner_id}/channelPartnerRepricingConfigs/{id}.\n*   `repricingConfig` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfig.t`, *default:* `nil`) - Required. The configuration for bill modifications made by a reseller before sending it to ChannelPartner.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Timestamp of an update to the repricing rule. If `update_time` is after RepricingConfig.effective_invoice_month then it indicates this was set mid-month.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerRepricingConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerRepricingConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerRepricingConfig.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerRepricingConfig.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerRepricingConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CheckCloudIdentityAccountsExistRequest","doc":"Request message for CloudChannelService.CheckCloudIdentityAccountsExist.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CheckCloudIdentityAccountsExistRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CheckCloudIdentityAccountsExistRequest","doc":"*   `domain` (*type:* `String.t`, *default:* `nil`) - Required. Domain to fetch for Cloud Identity account customers, including domain and team customers. For team customers, please use the domain for their emails.\n*   `primaryAdminEmail` (*type:* `String.t`, *default:* `nil`) - Optional. Primary admin email to fetch for Cloud Identity account team customer.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CheckCloudIdentityAccountsExistRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CheckCloudIdentityAccountsExistRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CheckCloudIdentityAccountsExistRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CheckCloudIdentityAccountsExistRequest.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CheckCloudIdentityAccountsExistRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CheckCloudIdentityAccountsExistResponse","doc":"Response message for CloudChannelService.CheckCloudIdentityAccountsExist.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CheckCloudIdentityAccountsExistResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CheckCloudIdentityAccountsExistResponse","doc":"*   `cloudIdentityAccounts` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CloudIdentityCustomerAccount.t)`, *default:* `nil`) - The Cloud Identity accounts associated with the domain.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CheckCloudIdentityAccountsExistResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CheckCloudIdentityAccountsExistResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CheckCloudIdentityAccountsExistResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CheckCloudIdentityAccountsExistResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CheckCloudIdentityAccountsExistResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CloudIdentityCustomerAccount","doc":"Entity representing a Cloud Identity account that may be associated with a Channel Services API partner.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CloudIdentityCustomerAccount.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CloudIdentityCustomerAccount","doc":"*   `channelPartnerCloudIdentityId` (*type:* `String.t`, *default:* `nil`) - If existing = true, and is 2-tier customer, the channel partner of the customer.\n*   `customerCloudIdentityId` (*type:* `String.t`, *default:* `nil`) - If existing = true, the Cloud Identity ID of the customer.\n*   `customerName` (*type:* `String.t`, *default:* `nil`) - If owned = true, the name of the customer that owns the Cloud Identity account. Customer_name uses the format: accounts/{account_id}/customers/{customer_id}\n*   `customerType` (*type:* `String.t`, *default:* `nil`) - If existing = true, the type of the customer.\n*   `existing` (*type:* `boolean()`, *default:* `nil`) - Returns true if a Cloud Identity account exists for a specific domain.\n*   `owned` (*type:* `boolean()`, *default:* `nil`) - Returns true if the Cloud Identity account is associated with a customer of the Channel Services partner.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CloudIdentityCustomerAccount.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CloudIdentityCustomerAccount.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CloudIdentityCustomerAccount.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CloudIdentityCustomerAccount.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CloudIdentityCustomerAccount.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CloudIdentityInfo","doc":"Cloud Identity information for the Cloud Channel Customer.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CloudIdentityInfo.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CloudIdentityInfo","doc":"*   `adminConsoleUri` (*type:* `String.t`, *default:* `nil`) - Output only. URI of Customer's Admin console dashboard.\n*   `alternateEmail` (*type:* `String.t`, *default:* `nil`) - The alternate email.\n*   `customerType` (*type:* `String.t`, *default:* `nil`) - CustomerType indicates verification type needed for using services.\n*   `eduData` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EduData.t`, *default:* `nil`) - Edu information about the customer.\n*   `isDomainVerified` (*type:* `boolean()`, *default:* `nil`) - Output only. Whether the domain is verified. This field is not returned for a Customer's cloud_identity_info resource. Partners can use the domains.get() method of the Workspace SDK's Directory API, or listen to the PRIMARY_DOMAIN_VERIFIED Pub/Sub event in to track domain verification of their resolve Workspace customers.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Language code.\n*   `phoneNumber` (*type:* `String.t`, *default:* `nil`) - Phone number associated with the Cloud Identity.\n*   `primaryDomain` (*type:* `String.t`, *default:* `nil`) - Output only. The primary domain name.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CloudIdentityInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CloudIdentityInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CloudIdentityInfo.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CloudIdentityInfo.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CloudIdentityInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Column","doc":"The definition of a report column. Specifies the data properties in the corresponding position of the report rows.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Column.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Column","doc":"*   `columnId` (*type:* `String.t`, *default:* `nil`) - The unique name of the column (for example, customer_domain, channel_partner, customer_cost). You can use column IDs in RunReportJobRequest.filter. To see all reports and their columns, call CloudChannelReportsService.ListReports.\n*   `dataType` (*type:* `String.t`, *default:* `nil`) - The type of the values for this column.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The column's display name.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Column.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Column.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Column.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Column.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Column.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CommitmentSettings","doc":"Commitment settings for commitment-based offers.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CommitmentSettings.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CommitmentSettings","doc":"*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Commitment end timestamp.\n*   `renewalSettings` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RenewalSettings.t`, *default:* `nil`) - Optional. Renewal settings applicable for a commitment-based Offer.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Commitment start timestamp.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CommitmentSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CommitmentSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CommitmentSettings.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CommitmentSettings.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CommitmentSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ConditionalOverride","doc":"Specifies the override to conditionally apply.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ConditionalOverride.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ConditionalOverride","doc":"*   `adjustment` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingAdjustment.t`, *default:* `nil`) - Required. Information about the applied override's adjustment.\n*   `rebillingBasis` (*type:* `String.t`, *default:* `nil`) - Required. The RebillingBasis to use for the applied override. Shows the relative cost based on your repricing costs.\n*   `repricingCondition` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingCondition.t`, *default:* `nil`) - Required. Specifies the condition which, if met, will apply the override.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ConditionalOverride.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ConditionalOverride.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ConditionalOverride.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ConditionalOverride.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ConditionalOverride.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Constraints","doc":"Represents the constraints for buying the Offer.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Constraints.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Constraints","doc":"*   `customerConstraints` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerConstraints.t`, *default:* `nil`) - Represents constraints required to purchase the Offer for a customer.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Constraints.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Constraints.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Constraints.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Constraints.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Constraints.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ContactInfo","doc":"Contact information for a customer account.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ContactInfo.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ContactInfo","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - Output only. The customer account contact's display name, formatted as a combination of the customer's first and last name.\n*   `email` (*type:* `String.t`, *default:* `nil`) - The customer account's contact email. Required for entitlements that create admin.google.com accounts, and serves as the customer's username for those accounts. Use this email to invite Team customers.\n*   `firstName` (*type:* `String.t`, *default:* `nil`) - The customer account contact's first name. Optional for Team customers.\n*   `lastName` (*type:* `String.t`, *default:* `nil`) - The customer account contact's last name. Optional for Team customers.\n*   `phone` (*type:* `String.t`, *default:* `nil`) - The customer account's contact phone number.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Optional. The customer account contact's job title.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ContactInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ContactInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ContactInfo.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ContactInfo.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ContactInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CreateEntitlementRequest","doc":"Request message for CloudChannelService.CreateEntitlement","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CreateEntitlementRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CreateEntitlementRequest","doc":"*   `entitlement` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Entitlement.t`, *default:* `nil`) - Required. The entitlement to create.\n*   `requestId` (*type:* `String.t`, *default:* `nil`) - Optional. You can specify an optional unique request ID, and if you need to retry your request, the server will know to ignore the request if it's complete. For example, you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if it received the original operation with the same request ID. If it did, it will ignore the second request. The request ID must be a valid [UUID](https://tools.ietf.org/html/rfc4122) with the exception that zero UUID is not supported (`00000000-0000-0000-0000-000000000000`).","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CreateEntitlementRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CreateEntitlementRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CreateEntitlementRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CreateEntitlementRequest.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CreateEntitlementRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Customer","doc":"Entity representing a customer of a reseller or distributor.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Customer.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Customer","doc":"*   `alternateEmail` (*type:* `String.t`, *default:* `nil`) - Secondary contact email. You need to provide an alternate email to create different domains if a primary contact email already exists. Users will receive a notification with credentials when you create an admin.google.com account. Secondary emails are also recovery email addresses. Alternate emails are optional when you create Team customers.\n*   `channelPartnerId` (*type:* `String.t`, *default:* `nil`) - Cloud Identity ID of the customer's channel partner. Populated only if a channel partner exists for this customer.\n*   `cloudIdentityId` (*type:* `String.t`, *default:* `nil`) - Output only. The customer's Cloud Identity ID if the customer has a Cloud Identity resource.\n*   `cloudIdentityInfo` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CloudIdentityInfo.t`, *default:* `nil`) - Output only. Cloud Identity information for the customer. Populated only if a Cloud Identity account exists for this customer.\n*   `correlationId` (*type:* `String.t`, *default:* `nil`) - Optional. External CRM ID for the customer. Populated only if a CRM ID exists for this customer.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Time when the customer was created.\n*   `domain` (*type:* `String.t`, *default:* `nil`) - Required. The customer's primary domain. Must match the primary contact email's domain.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Optional. The BCP-47 language code, such as \"en-US\" or \"sr-Latn\". For more information, see https://www.unicode.org/reports/tr35/#Unicode_locale_identifier.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Resource name of the customer. Format: accounts/{account_id}/customers/{customer_id}\n*   `orgDisplayName` (*type:* `String.t`, *default:* `nil`) - Required. Name of the organization that the customer entity represents.\n*   `orgPostalAddress` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleTypePostalAddress.t`, *default:* `nil`) - Required. The organization address for the customer. To enforce US laws and embargoes, we require a region, postal code, and address lines. You must provide valid addresses for every customer. To set the customer's language, use the Customer-level language code.\n*   `primaryContactInfo` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ContactInfo.t`, *default:* `nil`) - Primary contact info.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Time when the customer was updated.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Customer.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Customer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Customer.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Customer.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Customer.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerConstraints","doc":"Represents constraints required to purchase the Offer for a customer.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerConstraints.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerConstraints","doc":"*   `allowedCustomerTypes` (*type:* `list(String.t)`, *default:* `nil`) - Allowed Customer Type.\n*   `allowedRegions` (*type:* `list(String.t)`, *default:* `nil`) - Allowed geographical regions of the customer.\n*   `promotionalOrderTypes` (*type:* `list(String.t)`, *default:* `nil`) - Allowed Promotional Order Type. Present for Promotional offers.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerConstraints.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerConstraints.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerConstraints.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerConstraints.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerConstraints.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerEvent","doc":"Represents Pub/Sub message content describing customer update.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerEvent.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerEvent","doc":"*   `customer` (*type:* `String.t`, *default:* `nil`) - Resource name of the customer. Format: accounts/{account_id}/customers/{customer_id}\n*   `eventType` (*type:* `String.t`, *default:* `nil`) - Type of event which happened on the customer.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerEvent.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerEvent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerEvent.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerEvent.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerEvent.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerRepricingConfig","doc":"Configuration for how a reseller will reprice a Customer.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerRepricingConfig.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerRepricingConfig","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Resource name of the CustomerRepricingConfig. Format: accounts/{account_id}/customers/{customer_id}/customerRepricingConfigs/{id}.\n*   `repricingConfig` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfig.t`, *default:* `nil`) - Required. The configuration for bill modifications made by a reseller before sending it to customers.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Timestamp of an update to the repricing rule. If `update_time` is after RepricingConfig.effective_invoice_month then it indicates this was set mid-month.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerRepricingConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerRepricingConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerRepricingConfig.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerRepricingConfig.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerRepricingConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1DateRange","doc":"A representation of usage or invoice date ranges.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1DateRange.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1DateRange","doc":"*   `invoiceEndDate` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleTypeDate.t`, *default:* `nil`) - The latest invoice date (inclusive). If this value is not the last day of a month, this will move it forward to the last day of the given month.\n*   `invoiceStartDate` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleTypeDate.t`, *default:* `nil`) - The earliest invoice date (inclusive). If this value is not the first day of a month, this will move it back to the first day of the given month.\n*   `usageEndDateTime` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleTypeDateTime.t`, *default:* `nil`) - The latest usage date time (exclusive). If you use time groupings (daily, weekly, etc), each group uses midnight to midnight (Pacific time). The usage end date is rounded down to include all usage from the specified date. We recommend that clients pass `usage_start_date_time` in Pacific time.\n*   `usageStartDateTime` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleTypeDateTime.t`, *default:* `nil`) - The earliest usage date time (inclusive). If you use time groupings (daily, weekly, etc), each group uses midnight to midnight (Pacific time). The usage start date is rounded down to include all usage from the specified date. We recommend that clients pass `usage_start_date_time` in Pacific time.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1DateRange.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1DateRange.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1DateRange.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1DateRange.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1DateRange.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EduData","doc":"Required Edu Attributes","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EduData.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EduData","doc":"*   `instituteSize` (*type:* `String.t`, *default:* `nil`) - Size of the institute.\n*   `instituteType` (*type:* `String.t`, *default:* `nil`) - Designated institute type of customer.\n*   `website` (*type:* `String.t`, *default:* `nil`) - Web address for the edu customer's institution.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EduData.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EduData.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EduData.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EduData.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EduData.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Entitlement","doc":"An entitlement is a representation of a customer's ability to use a service.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Entitlement.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Entitlement","doc":"*   `associationInfo` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1AssociationInfo.t`, *default:* `nil`) - Association information to other entitlements.\n*   `billingAccount` (*type:* `String.t`, *default:* `nil`) - Optional. The billing account resource name that is used to pay for this entitlement.\n*   `commitmentSettings` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CommitmentSettings.t`, *default:* `nil`) - Commitment settings for a commitment-based Offer. Required for commitment based offers.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time at which the entitlement is created.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Resource name of an entitlement in the form: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}.\n*   `offer` (*type:* `String.t`, *default:* `nil`) - Required. The offer resource name for which the entitlement is to be created. Takes the form: accounts/{account_id}/offers/{offer_id}.\n*   `parameters` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Parameter.t)`, *default:* `nil`) - Extended entitlement parameters. When creating an entitlement, valid parameter names and values are defined in the Offer.parameter_definitions. For Google Workspace, the following Parameters may be accepted as input: - max_units: The maximum assignable units for a flexible offer OR - num_units: The total commitment for commitment-based offers The response may additionally include the following output-only Parameters: - assigned_units: The number of licenses assigned to users. For Google Cloud billing subaccounts, the following Parameter may be accepted as input: - display_name: The display name of the billing subaccount.\n*   `provisionedService` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ProvisionedService.t`, *default:* `nil`) - Output only. Service provisioning details for the entitlement.\n*   `provisioningState` (*type:* `String.t`, *default:* `nil`) - Output only. Current provisioning state of the entitlement.\n*   `purchaseOrderId` (*type:* `String.t`, *default:* `nil`) - Optional. This purchase order (PO) information is for resellers to use for their company tracking usage. If a purchaseOrderId value is given, it appears in the API responses and shows up in the invoice. The property accepts up to 80 plain text characters. This is only supported for Google Workspace entitlements.\n*   `suspensionReasons` (*type:* `list(String.t)`, *default:* `nil`) - Output only. Enumerable of all current suspension reasons for an entitlement.\n*   `trialSettings` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TrialSettings.t`, *default:* `nil`) - Output only. Settings for trial offers.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time at which the entitlement is updated.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Entitlement.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Entitlement.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Entitlement.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Entitlement.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Entitlement.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EntitlementChange","doc":"Change event entry for Entitlement order history","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EntitlementChange.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EntitlementChange","doc":"*   `activationReason` (*type:* `String.t`, *default:* `nil`) - The Entitlement's activation reason\n*   `cancellationReason` (*type:* `String.t`, *default:* `nil`) - Cancellation reason for the Entitlement.\n*   `changeType` (*type:* `String.t`, *default:* `nil`) - The change action type.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - The submitted time of the change.\n*   `entitlement` (*type:* `String.t`, *default:* `nil`) - Required. Resource name of an entitlement in the form: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}\n*   `offer` (*type:* `String.t`, *default:* `nil`) - Required. Resource name of the Offer at the time of change. Takes the form: accounts/{account_id}/offers/{offer_id}.\n*   `operator` (*type:* `String.t`, *default:* `nil`) - Human-readable identifier that shows what operator made a change. When the operator_type is RESELLER, this is the user's email address. For all other operator types, this is empty.\n*   `operatorType` (*type:* `String.t`, *default:* `nil`) - Operator type responsible for the change.\n*   `otherChangeReason` (*type:* `String.t`, *default:* `nil`) - e.g. purchase_number change reason, entered by CRS.\n*   `parameters` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Parameter.t)`, *default:* `nil`) - Extended parameters, such as: purchase_order_number, gcp_details; internal_correlation_id, long_running_operation_id, order_id; etc.\n*   `provisionedService` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ProvisionedService.t`, *default:* `nil`) - Service provisioned for an Entitlement.\n*   `suspensionReason` (*type:* `String.t`, *default:* `nil`) - Suspension reason for the Entitlement.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EntitlementChange.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EntitlementChange.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EntitlementChange.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EntitlementChange.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EntitlementChange.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EntitlementEvent","doc":"Represents Pub/Sub message content describing entitlement update.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EntitlementEvent.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EntitlementEvent","doc":"*   `entitlement` (*type:* `String.t`, *default:* `nil`) - Resource name of an entitlement of the form: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}\n*   `eventType` (*type:* `String.t`, *default:* `nil`) - Type of event which happened on the entitlement.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EntitlementEvent.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EntitlementEvent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EntitlementEvent.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EntitlementEvent.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EntitlementEvent.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1FetchReportResultsRequest","doc":"Request message for CloudChannelReportsService.FetchReportResults.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1FetchReportResultsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1FetchReportResultsRequest","doc":"*   `pageSize` (*type:* `integer()`, *default:* `nil`) - Optional. Requested page size of the report. The server may return fewer results than requested. If you don't specify a page size, the server uses a sensible default (may change over time). The maximum value is 30,000; the server will change larger values to 30,000.\n*   `pageToken` (*type:* `String.t`, *default:* `nil`) - Optional. A token that specifies a page of results beyond the first page. Obtained through FetchReportResultsResponse.next_page_token of the previous CloudChannelReportsService.FetchReportResults call.\n*   `partitionKeys` (*type:* `list(String.t)`, *default:* `nil`) - Optional. List of keys specifying which report partitions to return. If empty, returns all partitions.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1FetchReportResultsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1FetchReportResultsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1FetchReportResultsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1FetchReportResultsRequest.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1FetchReportResultsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1FetchReportResultsResponse","doc":"Response message for CloudChannelReportsService.FetchReportResults. Contains a tabular representation of the report results.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1FetchReportResultsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1FetchReportResultsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Pass this token to FetchReportResultsRequest.page_token to retrieve the next page of results.\n*   `reportMetadata` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportResultsMetadata.t`, *default:* `nil`) - The metadata for the report results (display name, columns, row count, and date ranges).\n*   `rows` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Row.t)`, *default:* `nil`) - The report's lists of values. Each row follows the settings and ordering of the columns from `report_metadata`.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1FetchReportResultsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1FetchReportResultsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1FetchReportResultsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1FetchReportResultsResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1FetchReportResultsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ImportCustomerRequest","doc":"Request message for CloudChannelService.ImportCustomer","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ImportCustomerRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ImportCustomerRequest","doc":"*   `authToken` (*type:* `String.t`, *default:* `nil`) - Optional. The super admin of the resold customer generates this token to authorize a reseller to access their Cloud Identity and purchase entitlements on their behalf. You can omit this token after authorization. See https://support.google.com/a/answer/7643790 for more details.\n*   `channelPartnerId` (*type:* `String.t`, *default:* `nil`) - Optional. Cloud Identity ID of a channel partner who will be the direct reseller for the customer's order. This field is required for 2-tier transfer scenarios and can be provided via the request Parent binding as well.\n*   `cloudIdentityId` (*type:* `String.t`, *default:* `nil`) - Required. Customer's Cloud Identity ID\n*   `customer` (*type:* `String.t`, *default:* `nil`) - Optional. Specifies the customer that will receive imported Cloud Identity information. Format: accounts/{account_id}/customers/{customer_id}\n*   `domain` (*type:* `String.t`, *default:* `nil`) - Required. Customer domain.\n*   `overwriteIfExists` (*type:* `boolean()`, *default:* `nil`) - Required. Choose to overwrite an existing customer if found. This must be set to true if there is an existing customer with a conflicting region code or domain.\n*   `primaryAdminEmail` (*type:* `String.t`, *default:* `nil`) - Required. Customer's primary admin email.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ImportCustomerRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ImportCustomerRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ImportCustomerRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ImportCustomerRequest.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ImportCustomerRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListChannelPartnerLinksResponse","doc":"Response message for CloudChannelService.ListChannelPartnerLinks.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListChannelPartnerLinksResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListChannelPartnerLinksResponse","doc":"*   `channelPartnerLinks` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerLink.t)`, *default:* `nil`) - The Channel partner links for a reseller.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. Pass to ListChannelPartnerLinksRequest.page_token to obtain that page.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListChannelPartnerLinksResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListChannelPartnerLinksResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListChannelPartnerLinksResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListChannelPartnerLinksResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListChannelPartnerLinksResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListChannelPartnerRepricingConfigsResponse","doc":"Response message for CloudChannelService.ListChannelPartnerRepricingConfigs.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListChannelPartnerRepricingConfigsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListChannelPartnerRepricingConfigsResponse","doc":"*   `channelPartnerRepricingConfigs` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerRepricingConfig.t)`, *default:* `nil`) - The repricing configs for this channel partner.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. Pass to ListChannelPartnerRepricingConfigsRequest.page_token to obtain that page.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListChannelPartnerRepricingConfigsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListChannelPartnerRepricingConfigsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListChannelPartnerRepricingConfigsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListChannelPartnerRepricingConfigsResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListChannelPartnerRepricingConfigsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListCustomerRepricingConfigsResponse","doc":"Response message for CloudChannelService.ListCustomerRepricingConfigs.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListCustomerRepricingConfigsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListCustomerRepricingConfigsResponse","doc":"*   `customerRepricingConfigs` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerRepricingConfig.t)`, *default:* `nil`) - The repricing configs for this channel partner.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. Pass to ListCustomerRepricingConfigsRequest.page_token to obtain that page.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListCustomerRepricingConfigsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListCustomerRepricingConfigsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListCustomerRepricingConfigsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListCustomerRepricingConfigsResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListCustomerRepricingConfigsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListCustomersResponse","doc":"Response message for CloudChannelService.ListCustomers.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListCustomersResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListCustomersResponse","doc":"*   `customers` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Customer.t)`, *default:* `nil`) - The customers belonging to a reseller or distributor.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. Pass to ListCustomersRequest.page_token to obtain that page.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListCustomersResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListCustomersResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListCustomersResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListCustomersResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListCustomersResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListEntitlementChangesResponse","doc":"Response message for CloudChannelService.ListEntitlementChanges","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListEntitlementChangesResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListEntitlementChangesResponse","doc":"*   `entitlementChanges` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EntitlementChange.t)`, *default:* `nil`) - The list of entitlement changes.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to list the next page of results.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListEntitlementChangesResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListEntitlementChangesResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListEntitlementChangesResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListEntitlementChangesResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListEntitlementChangesResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListEntitlementsResponse","doc":"Response message for CloudChannelService.ListEntitlements.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListEntitlementsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListEntitlementsResponse","doc":"*   `entitlements` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Entitlement.t)`, *default:* `nil`) - The reseller customer's entitlements.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to list the next page of results. Pass to ListEntitlementsRequest.page_token to obtain that page.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListEntitlementsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListEntitlementsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListEntitlementsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListEntitlementsResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListEntitlementsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListOffersResponse","doc":"Response message for ListOffers.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListOffersResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListOffersResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results.\n*   `offers` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Offer.t)`, *default:* `nil`) - The list of Offers requested.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListOffersResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListOffersResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListOffersResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListOffersResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListOffersResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListProductsResponse","doc":"Response message for ListProducts.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListProductsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListProductsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results.\n*   `products` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Product.t)`, *default:* `nil`) - List of Products requested.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListProductsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListProductsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListProductsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListProductsResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListProductsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListPurchasableOffersResponse","doc":"Response message for ListPurchasableOffers.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListPurchasableOffersResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListPurchasableOffersResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results.\n*   `purchasableOffers` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PurchasableOffer.t)`, *default:* `nil`) - The list of Offers requested.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListPurchasableOffersResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListPurchasableOffersResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListPurchasableOffersResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListPurchasableOffersResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListPurchasableOffersResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListPurchasableSkusResponse","doc":"Response message for ListPurchasableSkus.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListPurchasableSkusResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListPurchasableSkusResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results.\n*   `purchasableSkus` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PurchasableSku.t)`, *default:* `nil`) - The list of SKUs requested.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListPurchasableSkusResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListPurchasableSkusResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListPurchasableSkusResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListPurchasableSkusResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListPurchasableSkusResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListReportsResponse","doc":"Response message for CloudChannelReportsService.ListReports.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListReportsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListReportsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - Pass this token to FetchReportResultsRequest.page_token to retrieve the next page of results.\n*   `reports` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Report.t)`, *default:* `nil`) - The reports available to the partner.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListReportsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListReportsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListReportsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListReportsResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListReportsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkuGroupBillableSkusResponse","doc":"Response message for ListSkuGroupBillableSkus.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkuGroupBillableSkusResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkuGroupBillableSkusResponse","doc":"*   `billableSkus` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillableSku.t)`, *default:* `nil`) - The list of billable SKUs in the requested SKU group.\n*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. Pass to ListSkuGroupBillableSkus.page_token to obtain that page.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkuGroupBillableSkusResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkuGroupBillableSkusResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkuGroupBillableSkusResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkuGroupBillableSkusResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkuGroupBillableSkusResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkuGroupsResponse","doc":"Response message for ListSkuGroups.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkuGroupsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkuGroupsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. Pass to ListSkuGroups.page_token to obtain that page.\n*   `skuGroups` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuGroup.t)`, *default:* `nil`) - The list of SKU groups requested.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkuGroupsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkuGroupsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkuGroupsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkuGroupsResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkuGroupsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkusResponse","doc":"Response message for ListSkus.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkusResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkusResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results.\n*   `skus` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Sku.t)`, *default:* `nil`) - The list of SKUs requested.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkusResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkusResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkusResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkusResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSkusResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSubscribersResponse","doc":"Response Message for ListSubscribers.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSubscribersResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSubscribersResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token that can be sent as `page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.\n*   `serviceAccounts` (*type:* `list(String.t)`, *default:* `nil`) - List of service accounts which have subscriber access to the topic.\n*   `topic` (*type:* `String.t`, *default:* `nil`) - Name of the topic registered with the reseller.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSubscribersResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSubscribersResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSubscribersResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSubscribersResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListSubscribersResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableOffersRequest","doc":"Request message for CloudChannelService.ListTransferableOffers","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableOffersRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableOffersRequest","doc":"*   `billingAccount` (*type:* `String.t`, *default:* `nil`) - Optional. The Billing Account to look up Offers for. Format: accounts/{account_id}/billingAccounts/{billing_account_id}. This field is only relevant for multi-currency accounts. It should be left empty for single currency accounts.\n*   `cloudIdentityId` (*type:* `String.t`, *default:* `nil`) - Customer's Cloud Identity ID\n*   `customerName` (*type:* `String.t`, *default:* `nil`) - A reseller should create a customer and use the resource name of that customer here.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Optional. The BCP-47 language code. For example, \"en-US\". The response will localize in the corresponding language code, if specified. The default value is \"en-US\".\n*   `pageSize` (*type:* `integer()`, *default:* `nil`) - Requested page size. Server might return fewer results than requested. If unspecified, returns at most 100 offers. The maximum value is 1000; the server will coerce values above 1000.\n*   `pageToken` (*type:* `String.t`, *default:* `nil`) - A token for a page of results other than the first page. Obtained using ListTransferableOffersResponse.next_page_token of the previous CloudChannelService.ListTransferableOffers call.\n*   `sku` (*type:* `String.t`, *default:* `nil`) - Required. The SKU to look up Offers for.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableOffersRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableOffersRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableOffersRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableOffersRequest.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableOffersRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableOffersResponse","doc":"Response message for CloudChannelService.ListTransferableOffers.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableOffersResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableOffersResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. Pass to ListTransferableOffersRequest.page_token to obtain that page.\n*   `transferableOffers` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferableOffer.t)`, *default:* `nil`) - Information about Offers for a customer that can be used for transfer.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableOffersResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableOffersResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableOffersResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableOffersResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableOffersResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableSkusRequest","doc":"Request message for CloudChannelService.ListTransferableSkus","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableSkusRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableSkusRequest","doc":"*   `authToken` (*type:* `String.t`, *default:* `nil`) - Optional. The super admin of the resold customer generates this token to authorize a reseller to access their Cloud Identity and purchase entitlements on their behalf. You can omit this token after authorization. See https://support.google.com/a/answer/7643790 for more details.\n*   `cloudIdentityId` (*type:* `String.t`, *default:* `nil`) - Customer's Cloud Identity ID\n*   `customerName` (*type:* `String.t`, *default:* `nil`) - A reseller is required to create a customer and use the resource name of the created customer here. Customer_name uses the format: accounts/{account_id}/customers/{customer_id}\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - The BCP-47 language code. For example, \"en-US\". The response will localize in the corresponding language code, if specified. The default value is \"en-US\". Optional.\n*   `pageSize` (*type:* `integer()`, *default:* `nil`) - The requested page size. Server might return fewer results than requested. If unspecified, returns at most 100 SKUs. The maximum value is 1000; the server will coerce values above 1000. Optional.\n*   `pageToken` (*type:* `String.t`, *default:* `nil`) - A token for a page of results other than the first page. Obtained using ListTransferableSkusResponse.next_page_token of the previous CloudChannelService.ListTransferableSkus call. Optional.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableSkusRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableSkusRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableSkusRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableSkusRequest.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableSkusRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableSkusResponse","doc":"Response message for CloudChannelService.ListTransferableSkus.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableSkusResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableSkusResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - A token to retrieve the next page of results. Pass to ListTransferableSkusRequest.page_token to obtain that page.\n*   `transferableSkus` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferableSku.t)`, *default:* `nil`) - Information about existing SKUs for a customer that needs a transfer.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableSkusResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableSkusResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableSkusResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableSkusResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ListTransferableSkusResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1MarketingInfo","doc":"Represents the marketing information for a Product, SKU or Offer.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1MarketingInfo.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1MarketingInfo","doc":"*   `defaultLogo` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Media.t`, *default:* `nil`) - Default logo.\n*   `description` (*type:* `String.t`, *default:* `nil`) - Human readable description. Description can contain HTML.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - Human readable name.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1MarketingInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1MarketingInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1MarketingInfo.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1MarketingInfo.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1MarketingInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Media","doc":"Represents media information.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Media.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Media","doc":"*   `content` (*type:* `String.t`, *default:* `nil`) - URL of the media.\n*   `title` (*type:* `String.t`, *default:* `nil`) - Title of the media.\n*   `type` (*type:* `String.t`, *default:* `nil`) - Type of the media.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Media.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Media.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Media.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Media.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Media.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Offer","doc":"Represents an offer made to resellers for purchase. An offer is associated with a Sku, has a plan for payment, a price, and defines the constraints for buying.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Offer.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Offer","doc":"*   `constraints` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Constraints.t`, *default:* `nil`) - Constraints on transacting the Offer.\n*   `dealCode` (*type:* `String.t`, *default:* `nil`) - The deal code of the offer to get a special promotion or discount.\n*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. End of the Offer validity time.\n*   `marketingInfo` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1MarketingInfo.t`, *default:* `nil`) - Marketing information for the Offer.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Resource Name of the Offer. Format: accounts/{account_id}/offers/{offer_id}\n*   `parameterDefinitions` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ParameterDefinition.t)`, *default:* `nil`) - Parameters required to use current Offer to purchase.\n*   `plan` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Plan.t`, *default:* `nil`) - Describes the payment plan for the Offer.\n*   `priceByResources` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PriceByResource.t)`, *default:* `nil`) - Price for each monetizable resource type.\n*   `sku` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Sku.t`, *default:* `nil`) - SKU the offer is associated with.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - Start of the Offer validity time.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Offer.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Offer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Offer.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Offer.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Offer.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1OperationMetadata","doc":"Provides contextual information about a google.longrunning.Operation.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1OperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1OperationMetadata","doc":"*   `operationType` (*type:* `String.t`, *default:* `nil`) - The RPC that initiated this Long Running Operation.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1OperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1OperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1OperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1OperationMetadata.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1OperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Parameter","doc":"Definition for extended entitlement parameters.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Parameter.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Parameter","doc":"*   `editable` (*type:* `boolean()`, *default:* `nil`) - Output only. Specifies whether this parameter is allowed to be changed. For example, for a Google Workspace Business Starter entitlement in commitment plan, num_units is editable when entitlement is active.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the parameter.\n*   `value` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Value.t`, *default:* `nil`) - Value of the parameter.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Parameter.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Parameter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Parameter.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Parameter.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Parameter.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ParameterDefinition","doc":"Parameter's definition. Specifies what parameter is required to use the current Offer to purchase.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ParameterDefinition.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ParameterDefinition","doc":"*   `allowedValues` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Value.t)`, *default:* `nil`) - If not empty, parameter values must be drawn from this list. For example, [us-west1, us-west2, ...] Applicable to STRING parameter type.\n*   `maxValue` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Value.t`, *default:* `nil`) - Maximum value of the parameter, if applicable. Inclusive. For example, maximum seats when purchasing Google Workspace Business Standard. Applicable to INT64 and DOUBLE parameter types.\n*   `minValue` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Value.t`, *default:* `nil`) - Minimal value of the parameter, if applicable. Inclusive. For example, minimal commitment when purchasing Anthos is 0.01. Applicable to INT64 and DOUBLE parameter types.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the parameter.\n*   `optional` (*type:* `boolean()`, *default:* `nil`) - If set to true, parameter is optional to purchase this Offer.\n*   `parameterType` (*type:* `String.t`, *default:* `nil`) - Data type of the parameter. Minimal value, Maximum value and allowed values will use specified data type here.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ParameterDefinition.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ParameterDefinition.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ParameterDefinition.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ParameterDefinition.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ParameterDefinition.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PercentageAdjustment","doc":"An adjustment that applies a flat markup or markdown to an entire bill.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PercentageAdjustment.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PercentageAdjustment","doc":"*   `percentage` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleTypeDecimal.t`, *default:* `nil`) - The percentage of the bill to adjust. For example: Mark down by 1% => \"-1.00\" Mark up by 1% => \"1.00\" Pass-Through => \"0.00\"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PercentageAdjustment.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PercentageAdjustment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PercentageAdjustment.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PercentageAdjustment.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PercentageAdjustment.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Period","doc":"Represents period in days/months/years.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Period.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Period","doc":"*   `duration` (*type:* `integer()`, *default:* `nil`) - Total duration of Period Type defined.\n*   `periodType` (*type:* `String.t`, *default:* `nil`) - Period Type.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Period.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Period.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Period.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Period.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Period.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Plan","doc":"The payment plan for the Offer. Describes how to make a payment.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Plan.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Plan","doc":"*   `billingAccount` (*type:* `String.t`, *default:* `nil`) - Reseller Billing account to charge after an offer transaction. Only present for Google Cloud offers.\n*   `paymentCycle` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Period.t`, *default:* `nil`) - Describes how frequently the reseller will be billed, such as once per month.\n*   `paymentPlan` (*type:* `String.t`, *default:* `nil`) - Describes how a reseller will be billed.\n*   `paymentType` (*type:* `String.t`, *default:* `nil`) - Specifies when the payment needs to happen.\n*   `trialPeriod` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Period.t`, *default:* `nil`) - Present for Offers with a trial period. For trial-only Offers, a paid service needs to start before the trial period ends for continued service. For Regular Offers with a trial period, the regular pricing goes into effect when trial period ends, or if paid service is started before the end of the trial period.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Plan.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Plan.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Plan.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Plan.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Plan.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Price","doc":"Represents the price of the Offer.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Price.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Price","doc":"*   `basePrice` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleTypeMoney.t`, *default:* `nil`) - Base price.\n*   `discount` (*type:* `float()`, *default:* `nil`) - Discount percentage, represented as decimal. For example, a 20% discount will be represent as 0.2.\n*   `effectivePrice` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleTypeMoney.t`, *default:* `nil`) - Effective Price after applying the discounts.\n*   `externalPriceUri` (*type:* `String.t`, *default:* `nil`) - Link to external price list, such as link to Google Voice rate card.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Price.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Price.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Price.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Price.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Price.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PriceByResource","doc":"Represents price by resource type.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PriceByResource.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PriceByResource","doc":"*   `price` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Price.t`, *default:* `nil`) - Price of the Offer. Present if there are no price phases.\n*   `pricePhases` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PricePhase.t)`, *default:* `nil`) - Specifies the price by time range.\n*   `resourceType` (*type:* `String.t`, *default:* `nil`) - Resource Type. Example: SEAT","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PriceByResource.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PriceByResource.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PriceByResource.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PriceByResource.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PriceByResource.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PricePhase","doc":"Specifies the price by the duration of months. For example, a 20% discount for the first six months, then a 10% discount starting on the seventh month.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PricePhase.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PricePhase","doc":"*   `firstPeriod` (*type:* `integer()`, *default:* `nil`) - Defines first period for the phase.\n*   `lastPeriod` (*type:* `integer()`, *default:* `nil`) - Defines first period for the phase.\n*   `periodType` (*type:* `String.t`, *default:* `nil`) - Defines the phase period type.\n*   `price` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Price.t`, *default:* `nil`) - Price of the phase. Present if there are no price tiers.\n*   `priceTiers` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PriceTier.t)`, *default:* `nil`) - Price by the resource tiers.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PricePhase.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PricePhase.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PricePhase.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PricePhase.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PricePhase.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PriceTier","doc":"Defines price at resource tier level. For example, an offer with following definition : * Tier 1: Provide 25% discount for all seats between 1 and 25. * Tier 2: Provide 10% discount for all seats between 26 and 100. * Tier 3: Provide flat 15% discount for all seats above 100. Each of these tiers is represented as a PriceTier.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PriceTier.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PriceTier","doc":"*   `firstResource` (*type:* `integer()`, *default:* `nil`) - First resource for which the tier price applies.\n*   `lastResource` (*type:* `integer()`, *default:* `nil`) - Last resource for which the tier price applies.\n*   `price` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Price.t`, *default:* `nil`) - Price of the tier.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PriceTier.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PriceTier.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PriceTier.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PriceTier.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PriceTier.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Product","doc":"A Product is the entity a customer uses when placing an order. For example, Google Workspace, Google Voice, etc.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Product.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Product","doc":"*   `marketingInfo` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1MarketingInfo.t`, *default:* `nil`) - Marketing information for the product.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Resource Name of the Product. Format: products/{product_id}","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Product.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Product.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Product.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Product.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Product.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ProvisionCloudIdentityRequest","doc":"Request message for CloudChannelService.ProvisionCloudIdentity","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ProvisionCloudIdentityRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ProvisionCloudIdentityRequest","doc":"*   `cloudIdentityInfo` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CloudIdentityInfo.t`, *default:* `nil`) - CloudIdentity-specific customer information.\n*   `user` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1AdminUser.t`, *default:* `nil`) - Admin user information.\n*   `validateOnly` (*type:* `boolean()`, *default:* `nil`) - Validate the request and preview the review, but do not post it.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ProvisionCloudIdentityRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ProvisionCloudIdentityRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ProvisionCloudIdentityRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ProvisionCloudIdentityRequest.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ProvisionCloudIdentityRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ProvisionedService","doc":"Service provisioned for an entitlement.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ProvisionedService.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ProvisionedService","doc":"*   `productId` (*type:* `String.t`, *default:* `nil`) - Output only. The product pertaining to the provisioning resource as specified in the Offer.\n*   `provisioningId` (*type:* `String.t`, *default:* `nil`) - Output only. Provisioning ID of the entitlement. For Google Workspace, this is the underlying Subscription ID. For Google Cloud, this is the Billing Account ID of the billing subaccount.\n*   `skuId` (*type:* `String.t`, *default:* `nil`) - Output only. The SKU pertaining to the provisioning resource as specified in the Offer.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ProvisionedService.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ProvisionedService.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ProvisionedService.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ProvisionedService.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ProvisionedService.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PurchasableOffer","doc":"Offer that you can purchase for a customer. This is used in the ListPurchasableOffer API response.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PurchasableOffer.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PurchasableOffer","doc":"*   `offer` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Offer.t`, *default:* `nil`) - Offer.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PurchasableOffer.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PurchasableOffer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PurchasableOffer.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PurchasableOffer.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PurchasableOffer.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PurchasableSku","doc":"SKU that you can purchase. This is used in ListPurchasableSku API response.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PurchasableSku.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PurchasableSku","doc":"*   `sku` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Sku.t`, *default:* `nil`) - SKU","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PurchasableSku.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PurchasableSku.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PurchasableSku.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PurchasableSku.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PurchasableSku.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1QueryEligibleBillingAccountsResponse","doc":"Response message for QueryEligibleBillingAccounts.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1QueryEligibleBillingAccountsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1QueryEligibleBillingAccountsResponse","doc":"*   `skuPurchaseGroups` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuPurchaseGroup.t)`, *default:* `nil`) - List of SKU purchase groups where each group represents a set of SKUs that must be purchased using the same billing account. Each SKU from [QueryEligibleBillingAccountsRequest.skus] will appear in exactly one SKU group.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1QueryEligibleBillingAccountsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1QueryEligibleBillingAccountsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1QueryEligibleBillingAccountsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1QueryEligibleBillingAccountsResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1QueryEligibleBillingAccountsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RegisterSubscriberRequest","doc":"Request Message for RegisterSubscriber.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RegisterSubscriberRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RegisterSubscriberRequest","doc":"*   `integrator` (*type:* `String.t`, *default:* `nil`) - Optional. Resource name of the integrator.\n*   `serviceAccount` (*type:* `String.t`, *default:* `nil`) - Required. Service account that provides subscriber access to the registered topic.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RegisterSubscriberRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RegisterSubscriberRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RegisterSubscriberRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RegisterSubscriberRequest.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RegisterSubscriberRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RegisterSubscriberResponse","doc":"Response Message for RegisterSubscriber.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RegisterSubscriberResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RegisterSubscriberResponse","doc":"*   `topic` (*type:* `String.t`, *default:* `nil`) - Name of the topic the subscriber will listen to.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RegisterSubscriberResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RegisterSubscriberResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RegisterSubscriberResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RegisterSubscriberResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RegisterSubscriberResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RenewalSettings","doc":"Renewal settings for renewable Offers.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RenewalSettings.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RenewalSettings","doc":"*   `enableRenewal` (*type:* `boolean()`, *default:* `nil`) - If false, the plan will be completed at the end date.\n*   `paymentCycle` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Period.t`, *default:* `nil`) - Describes how frequently the reseller will be billed, such as once per month.\n*   `paymentPlan` (*type:* `String.t`, *default:* `nil`) - Describes how a reseller will be billed.\n*   `resizeUnitCount` (*type:* `boolean()`, *default:* `nil`) - If true and enable_renewal = true, the unit (for example seats or licenses) will be set to the number of active units at renewal time.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RenewalSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RenewalSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RenewalSettings.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RenewalSettings.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RenewalSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Report","doc":"The ID and description of a report that was used to generate report data. For example, \"Google Cloud Daily Spend\", \"Google Workspace License Activity\", etc.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Report.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Report","doc":"*   `columns` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Column.t)`, *default:* `nil`) - The list of columns included in the report. This defines the schema of the report results.\n*   `description` (*type:* `String.t`, *default:* `nil`) - A description of other aspects of the report, such as the products it supports.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - A human-readable name for this report.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The report's resource name. Specifies the account and report used to generate report data. The report_id identifier is a UID (for example, `613bf59q`). Name uses the format: accounts/{account_id}/reports/{report_id}","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Report.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Report.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Report.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Report.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Report.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportJob","doc":"The result of a RunReportJob operation. Contains the name to use in FetchReportResultsRequest.report_job and the status of the operation.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportJob.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportJob","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The resource name of a report job. Name uses the format: `accounts/{account_id}/reportJobs/{report_job_id}`\n*   `reportStatus` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportStatus.t`, *default:* `nil`) - The current status of report generation.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportJob.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportJob.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportJob.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportJob.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportJob.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportResultsMetadata","doc":"The features describing the data. Returned by CloudChannelReportsService.RunReportJob and CloudChannelReportsService.FetchReportResults.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportResultsMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportResultsMetadata","doc":"*   `dateRange` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1DateRange.t`, *default:* `nil`) - The date range of reported usage.\n*   `precedingDateRange` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1DateRange.t`, *default:* `nil`) - The usage dates immediately preceding `date_range` with the same duration. Use this to calculate trending usage and costs. This is only populated if you request trending data. For example, if `date_range` is July 1-15, `preceding_date_range` will be June 16-30.\n*   `report` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Report.t`, *default:* `nil`) - Details of the completed report.\n*   `rowCount` (*type:* `String.t`, *default:* `nil`) - The total number of rows of data in the final report.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportResultsMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportResultsMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportResultsMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportResultsMetadata.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportResultsMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportStatus","doc":"Status of a report generation process.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportStatus.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportStatus","doc":"*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - The report generation's completion time.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - The report generation's start time.\n*   `state` (*type:* `String.t`, *default:* `nil`) - The current state of the report generation process.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportStatus.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportStatus.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportValue","doc":"A single report value.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportValue.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportValue","doc":"*   `dateTimeValue` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleTypeDateTime.t`, *default:* `nil`) - A value of type `google.type.DateTime` (year, month, day, hour, minute, second, and UTC offset or timezone.)\n*   `dateValue` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleTypeDate.t`, *default:* `nil`) - A value of type `google.type.Date` (year, month, day).\n*   `decimalValue` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleTypeDecimal.t`, *default:* `nil`) - A value of type `google.type.Decimal`, representing non-integer numeric values.\n*   `intValue` (*type:* `String.t`, *default:* `nil`) - A value of type `int`.\n*   `moneyValue` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleTypeMoney.t`, *default:* `nil`) - A value of type `google.type.Money` (currency code, whole units, decimal units).\n*   `stringValue` (*type:* `String.t`, *default:* `nil`) - A value of type `string`.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportValue.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportValue.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportValue.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportValue.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportValue.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingAdjustment","doc":"A type that represents the various adjustments you can apply to a bill.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingAdjustment.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingAdjustment","doc":"*   `percentageAdjustment` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1PercentageAdjustment.t`, *default:* `nil`) - Flat markup or markdown on an entire bill.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingAdjustment.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingAdjustment.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingAdjustment.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingAdjustment.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingAdjustment.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingCondition","doc":"Represents the various repricing conditions you can use for a conditional override.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingCondition.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingCondition","doc":"*   `skuGroupCondition` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuGroupCondition.t`, *default:* `nil`) - SKU Group condition for override.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingCondition.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingCondition.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingCondition.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingCondition.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingCondition.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfig","doc":"Configuration for repricing a Google bill over a period of time.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfig.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfig","doc":"*   `adjustment` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingAdjustment.t`, *default:* `nil`) - Required. Information about the adjustment.\n*   `channelPartnerGranularity` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfigChannelPartnerGranularity.t`, *default:* `nil`) - Applies the repricing configuration at the channel partner level. Only ChannelPartnerRepricingConfig supports this value. Deprecated: This is no longer supported. Use RepricingConfig.entitlement_granularity instead.\n*   `conditionalOverrides` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ConditionalOverride.t)`, *default:* `nil`) - The conditional overrides to apply for this configuration. If you list multiple overrides, only the first valid override is used. If you don't list any overrides, the API uses the normal adjustment and rebilling basis.\n*   `effectiveInvoiceMonth` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleTypeDate.t`, *default:* `nil`) - Required. The YearMonth when these adjustments activate. The Day field needs to be \"0\" since we only accept YearMonth repricing boundaries.\n*   `entitlementGranularity` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfigEntitlementGranularity.t`, *default:* `nil`) - Applies the repricing configuration at the entitlement level. Note: If a ChannelPartnerRepricingConfig using RepricingConfig.EntitlementGranularity becomes effective, then no existing or future RepricingConfig.ChannelPartnerGranularity will apply to the RepricingConfig.EntitlementGranularity.entitlement. This is the recommended value for both CustomerRepricingConfig and ChannelPartnerRepricingConfig.\n*   `rebillingBasis` (*type:* `String.t`, *default:* `nil`) - Required. The RebillingBasis to use for this bill. Specifies the relative cost based on repricing costs you will apply.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfig.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfig.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfig.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfig.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfig.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfigChannelPartnerGranularity","doc":"Applies the repricing configuration at the channel partner level. The channel partner value is derived from the resource name. Takes an empty json object. Deprecated: This is no longer supported. Use RepricingConfig.EntitlementGranularity instead.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfigChannelPartnerGranularity.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfigChannelPartnerGranularity","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfigChannelPartnerGranularity.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfigChannelPartnerGranularity.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfigChannelPartnerGranularity.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfigChannelPartnerGranularity.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfigChannelPartnerGranularity.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfigEntitlementGranularity","doc":"Applies the repricing configuration at the entitlement level.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfigEntitlementGranularity.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfigEntitlementGranularity","doc":"*   `entitlement` (*type:* `String.t`, *default:* `nil`) - Resource name of the entitlement. Format: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfigEntitlementGranularity.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfigEntitlementGranularity.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfigEntitlementGranularity.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfigEntitlementGranularity.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RepricingConfigEntitlementGranularity.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Row","doc":"A row of report values.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Row.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Row","doc":"*   `partitionKey` (*type:* `String.t`, *default:* `nil`) - The key for the partition this row belongs to. This field is empty if the report is not partitioned.\n*   `values` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportValue.t)`, *default:* `nil`) - The list of values in the row.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Row.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Row.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Row.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Row.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Row.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RunReportJobRequest","doc":"Request message for CloudChannelReportsService.RunReportJob.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RunReportJobRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RunReportJobRequest","doc":"*   `dateRange` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1DateRange.t`, *default:* `nil`) - Optional. The range of usage or invoice dates to include in the result.\n*   `filter` (*type:* `String.t`, *default:* `nil`) - Optional. A structured string that defines conditions on dimension columns to restrict the report output. Filters support logical operators (AND, OR, NOT) and conditional operators (=, !=, <, >, <=, and >=) using `column_id` as keys. For example: `(customer:\"accounts/C123abc/customers/S456def\" OR customer:\"accounts/C123abc/customers/S789ghi\") AND invoice_start_date.year >= 2022`\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Optional. The BCP-47 language code, such as \"en-US\". If specified, the response is localized to the corresponding language code if the original data sources support it. Default is \"en-US\".","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RunReportJobRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RunReportJobRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RunReportJobRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RunReportJobRequest.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RunReportJobRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RunReportJobResponse","doc":"Response message for CloudChannelReportsService.RunReportJob.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RunReportJobResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RunReportJobResponse","doc":"*   `reportJob` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportJob.t`, *default:* `nil`) - Pass `report_job.name` to FetchReportResultsRequest.report_job to retrieve the report's results.\n*   `reportMetadata` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ReportResultsMetadata.t`, *default:* `nil`) - The metadata for the report's results (display name, columns, row count, and date range). If you view this before the operation finishes, you may see incomplete data.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RunReportJobResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RunReportJobResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RunReportJobResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RunReportJobResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1RunReportJobResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Sku","doc":"Represents a product's purchasable Stock Keeping Unit (SKU). SKUs represent the different variations of the product. For example, Google Workspace Business Standard and Google Workspace Business Plus are Google Workspace product SKUs.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Sku.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Sku","doc":"*   `marketingInfo` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1MarketingInfo.t`, *default:* `nil`) - Marketing information for the SKU.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Resource Name of the SKU. Format: products/{product_id}/skus/{sku_id}\n*   `product` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Product.t`, *default:* `nil`) - Product the SKU is associated with.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Sku.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Sku.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Sku.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Sku.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Sku.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuGroup","doc":"Represents the SKU group information.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuGroup.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuGroup","doc":"*   `displayName` (*type:* `String.t`, *default:* `nil`) - Unique human readable identifier for the SKU group.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Resource name of SKU group. Format: accounts/{account}/skuGroups/{sku_group}. Example: \"accounts/C01234/skuGroups/3d50fd57-3157-4577-a5a9-a219b8490041\".","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuGroup.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuGroup.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuGroup.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuGroup.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuGroup.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuGroupCondition","doc":"A condition that applies the override if a line item SKU is found in the SKU group.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuGroupCondition.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuGroupCondition","doc":"*   `skuGroup` (*type:* `String.t`, *default:* `nil`) - Specifies a SKU group (https://cloud.google.com/skus/sku-groups). Resource name of SKU group. Format: accounts/{account}/skuGroups/{sku_group}. Example: \"accounts/C01234/skuGroups/3d50fd57-3157-4577-a5a9-a219b8490041\".","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuGroupCondition.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuGroupCondition.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuGroupCondition.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuGroupCondition.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuGroupCondition.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuPurchaseGroup","doc":"Represents a set of SKUs that must be purchased using the same billing account.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuPurchaseGroup.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuPurchaseGroup","doc":"*   `billingAccountPurchaseInfos` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1BillingAccountPurchaseInfo.t)`, *default:* `nil`) - List of billing accounts that are eligible to purhcase these SKUs.\n*   `skus` (*type:* `list(String.t)`, *default:* `nil`) - Resource names of the SKUs included in this group. Format: products/{product_id}/skus/{sku_id}.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuPurchaseGroup.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuPurchaseGroup.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuPurchaseGroup.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuPurchaseGroup.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SkuPurchaseGroup.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1StartPaidServiceRequest","doc":"Request message for CloudChannelService.StartPaidService.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1StartPaidServiceRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1StartPaidServiceRequest","doc":"*   `requestId` (*type:* `String.t`, *default:* `nil`) - Optional. You can specify an optional unique request ID, and if you need to retry your request, the server will know to ignore the request if it's complete. For example, you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if it received the original operation with the same request ID. If it did, it will ignore the second request. The request ID must be a valid [UUID](https://tools.ietf.org/html/rfc4122) with the exception that zero UUID is not supported (`00000000-0000-0000-0000-000000000000`).","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1StartPaidServiceRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1StartPaidServiceRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1StartPaidServiceRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1StartPaidServiceRequest.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1StartPaidServiceRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SubscriberEvent","doc":"Represents information which resellers will get as part of notification from Pub/Sub.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SubscriberEvent.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SubscriberEvent","doc":"*   `customerEvent` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1CustomerEvent.t`, *default:* `nil`) - Customer event sent as part of Pub/Sub event to partners.\n*   `entitlementEvent` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1EntitlementEvent.t`, *default:* `nil`) - Entitlement event sent as part of Pub/Sub event to partners.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SubscriberEvent.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SubscriberEvent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SubscriberEvent.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SubscriberEvent.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SubscriberEvent.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SuspendEntitlementRequest","doc":"Request message for CloudChannelService.SuspendEntitlement.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SuspendEntitlementRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SuspendEntitlementRequest","doc":"*   `requestId` (*type:* `String.t`, *default:* `nil`) - Optional. You can specify an optional unique request ID, and if you need to retry your request, the server will know to ignore the request if it's complete. For example, you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if it received the original operation with the same request ID. If it did, it will ignore the second request. The request ID must be a valid [UUID](https://tools.ietf.org/html/rfc4122) with the exception that zero UUID is not supported (`00000000-0000-0000-0000-000000000000`).","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SuspendEntitlementRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SuspendEntitlementRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SuspendEntitlementRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SuspendEntitlementRequest.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1SuspendEntitlementRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEligibility","doc":"Specifies transfer eligibility of a SKU.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEligibility.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEligibility","doc":"*   `description` (*type:* `String.t`, *default:* `nil`) - Localized description if reseller is not eligible to transfer the SKU.\n*   `ineligibilityReason` (*type:* `String.t`, *default:* `nil`) - Specified the reason for ineligibility.\n*   `isEligible` (*type:* `boolean()`, *default:* `nil`) - Whether reseller is eligible to transfer the SKU.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEligibility.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEligibility.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEligibility.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEligibility.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEligibility.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsRequest","doc":"Request message for CloudChannelService.TransferEntitlements.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsRequest","doc":"*   `authToken` (*type:* `String.t`, *default:* `nil`) - The super admin of the resold customer generates this token to authorize a reseller to access their Cloud Identity and purchase entitlements on their behalf. You can omit this token after authorization. See https://support.google.com/a/answer/7643790 for more details.\n*   `entitlements` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Entitlement.t)`, *default:* `nil`) - Required. The new entitlements to create or transfer.\n*   `requestId` (*type:* `String.t`, *default:* `nil`) - Optional. You can specify an optional unique request ID, and if you need to retry your request, the server will know to ignore the request if it's complete. For example, you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if it received the original operation with the same request ID. If it did, it will ignore the second request. The request ID must be a valid [UUID](https://tools.ietf.org/html/rfc4122) with the exception that zero UUID is not supported (`00000000-0000-0000-0000-000000000000`).","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsRequest.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsResponse","doc":"Response message for CloudChannelService.TransferEntitlements. This is put in the response field of google.longrunning.Operation.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsResponse","doc":"*   `entitlements` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Entitlement.t)`, *default:* `nil`) - The transferred entitlements.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsToGoogleRequest","doc":"Request message for CloudChannelService.TransferEntitlementsToGoogle.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsToGoogleRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsToGoogleRequest","doc":"*   `entitlements` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Entitlement.t)`, *default:* `nil`) - Required. The entitlements to transfer to Google.\n*   `requestId` (*type:* `String.t`, *default:* `nil`) - Optional. You can specify an optional unique request ID, and if you need to retry your request, the server will know to ignore the request if it's complete. For example, you make an initial request and the request times out. If you make the request again with the same request ID, the server can check if it received the original operation with the same request ID. If it did, it will ignore the second request. The request ID must be a valid [UUID](https://tools.ietf.org/html/rfc4122) with the exception that zero UUID is not supported (`00000000-0000-0000-0000-000000000000`).","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsToGoogleRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsToGoogleRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsToGoogleRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsToGoogleRequest.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEntitlementsToGoogleRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferableOffer","doc":"TransferableOffer represents an Offer that can be used in Transfer. Read-only.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferableOffer.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferableOffer","doc":"*   `offer` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Offer.t`, *default:* `nil`) - Offer with parameter constraints updated to allow the Transfer.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferableOffer.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferableOffer.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferableOffer.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferableOffer.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferableOffer.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferableSku","doc":"TransferableSku represents information a reseller needs to view existing provisioned services for a customer that they do not own. Read-only.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferableSku.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferableSku","doc":"*   `legacySku` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Sku.t`, *default:* `nil`) - Optional. The customer to transfer has an entitlement with the populated legacy SKU.\n*   `sku` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Sku.t`, *default:* `nil`) - The SKU pertaining to the provisioning resource as specified in the Offer.\n*   `transferEligibility` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferEligibility.t`, *default:* `nil`) - Describes the transfer eligibility of a SKU.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferableSku.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferableSku.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferableSku.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferableSku.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TransferableSku.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TrialSettings","doc":"Settings for trial offers.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TrialSettings.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TrialSettings","doc":"*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Date when the trial ends. The value is in milliseconds using the UNIX Epoch format. See an example [Epoch converter](https://www.epochconverter.com).\n*   `trial` (*type:* `boolean()`, *default:* `nil`) - Determines if the entitlement is in a trial or not: * `true` - The entitlement is in trial. * `false` - The entitlement is not in trial.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TrialSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TrialSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TrialSettings.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TrialSettings.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1TrialSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UnregisterSubscriberRequest","doc":"Request Message for UnregisterSubscriber.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UnregisterSubscriberRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UnregisterSubscriberRequest","doc":"*   `integrator` (*type:* `String.t`, *default:* `nil`) - Optional. Resource name of the integrator.\n*   `serviceAccount` (*type:* `String.t`, *default:* `nil`) - Required. Service account to unregister from subscriber access to the topic.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UnregisterSubscriberRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UnregisterSubscriberRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UnregisterSubscriberRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UnregisterSubscriberRequest.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UnregisterSubscriberRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UnregisterSubscriberResponse","doc":"Response Message for UnregisterSubscriber.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UnregisterSubscriberResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UnregisterSubscriberResponse","doc":"*   `topic` (*type:* `String.t`, *default:* `nil`) - Name of the topic the service account subscriber access was removed from.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UnregisterSubscriberResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UnregisterSubscriberResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UnregisterSubscriberResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UnregisterSubscriberResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UnregisterSubscriberResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UpdateChannelPartnerLinkRequest","doc":"Request message for CloudChannelService.UpdateChannelPartnerLink","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UpdateChannelPartnerLinkRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UpdateChannelPartnerLinkRequest","doc":"*   `channelPartnerLink` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1ChannelPartnerLink.t`, *default:* `nil`) - Required. The channel partner link to update. Only channel_partner_link.link_state is allowed for updates.\n*   `updateMask` (*type:* `String.t`, *default:* `nil`) - Required. The update mask that applies to the resource. The only allowable value for an update mask is channel_partner_link.link_state.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UpdateChannelPartnerLinkRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UpdateChannelPartnerLinkRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UpdateChannelPartnerLinkRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UpdateChannelPartnerLinkRequest.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1UpdateChannelPartnerLinkRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Value","doc":"Data type and value of a parameter.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Value.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Value","doc":"*   `boolValue` (*type:* `boolean()`, *default:* `nil`) - Represents a boolean value.\n*   `doubleValue` (*type:* `float()`, *default:* `nil`) - Represents a double value.\n*   `int64Value` (*type:* `String.t`, *default:* `nil`) - Represents an int64 value.\n*   `protoValue` (*type:* `map()`, *default:* `nil`) - Represents an 'Any' proto value.\n*   `stringValue` (*type:* `String.t`, *default:* `nil`) - Represents a string value.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Value.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Value.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Value.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Value.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1Value.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1AssociationInfo","doc":"Association links that an entitlement has to other entitlements.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1AssociationInfo.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1AssociationInfo","doc":"*   `baseEntitlement` (*type:* `String.t`, *default:* `nil`) - The name of the base entitlement, for which this entitlement is an add-on.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1AssociationInfo.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1AssociationInfo.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1AssociationInfo.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1AssociationInfo.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1AssociationInfo.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ChannelPartnerEvent","doc":"Represents Pub/Sub messages about updates to a Channel Partner. You can retrieve updated values through the ChannelPartnerLinks API.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ChannelPartnerEvent.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ChannelPartnerEvent","doc":"*   `channelPartner` (*type:* `String.t`, *default:* `nil`) - Resource name for the Channel Partner Link. Channel_partner uses the format: accounts/{account_id}/channelPartnerLinks/{channel_partner_id}\n*   `eventType` (*type:* `String.t`, *default:* `nil`) - Type of event performed on the Channel Partner.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ChannelPartnerEvent.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ChannelPartnerEvent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ChannelPartnerEvent.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ChannelPartnerEvent.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ChannelPartnerEvent.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Column","doc":"The definition of a report column. Specifies the data properties in the corresponding position of the report rows.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Column.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Column","doc":"*   `columnId` (*type:* `String.t`, *default:* `nil`) - The unique name of the column (for example, customer_domain, channel_partner, customer_cost). You can use column IDs in RunReportJobRequest.filter. To see all reports and their columns, call CloudChannelReportsService.ListReports.\n*   `dataType` (*type:* `String.t`, *default:* `nil`) - The type of the values for this column.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - The column's display name.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Column.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Column.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Column.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Column.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Column.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1CommitmentSettings","doc":"Commitment settings for commitment-based offers.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1CommitmentSettings.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1CommitmentSettings","doc":"*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Commitment end timestamp.\n*   `renewalSettings` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1RenewalSettings.t`, *default:* `nil`) - Optional. Renewal settings applicable for a commitment-based Offer.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. Commitment start timestamp.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1CommitmentSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1CommitmentSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1CommitmentSettings.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1CommitmentSettings.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1CommitmentSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1CustomerEvent","doc":"Represents Pub/Sub message content describing customer update.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1CustomerEvent.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1CustomerEvent","doc":"*   `customer` (*type:* `String.t`, *default:* `nil`) - Resource name of the customer. Format: accounts/{account_id}/customers/{customer_id}\n*   `eventType` (*type:* `String.t`, *default:* `nil`) - Type of event which happened on the customer.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1CustomerEvent.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1CustomerEvent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1CustomerEvent.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1CustomerEvent.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1CustomerEvent.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1DateRange","doc":"A representation of usage or invoice date ranges.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1DateRange.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1DateRange","doc":"*   `invoiceEndDate` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleTypeDate.t`, *default:* `nil`) - The latest invoice date (inclusive). If this value is not the last day of a month, this will move it forward to the last day of the given month.\n*   `invoiceStartDate` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleTypeDate.t`, *default:* `nil`) - The earliest invoice date (inclusive). If this value is not the first day of a month, this will move it back to the first day of the given month.\n*   `usageEndDateTime` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleTypeDateTime.t`, *default:* `nil`) - The latest usage date time (exclusive). If you use time groupings (daily, weekly, etc), each group uses midnight to midnight (Pacific time). The usage end date is rounded down to include all usage from the specified date. We recommend that clients pass `usage_start_date_time` in Pacific time.\n*   `usageStartDateTime` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleTypeDateTime.t`, *default:* `nil`) - The earliest usage date time (inclusive). If you use time groupings (daily, weekly, etc), each group uses midnight to midnight (Pacific time). The usage start date is rounded down to include all usage from the specified date. We recommend that clients pass `usage_start_date_time` in Pacific time.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1DateRange.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1DateRange.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1DateRange.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1DateRange.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1DateRange.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Entitlement","doc":"An entitlement is a representation of a customer's ability to use a service.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Entitlement.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Entitlement","doc":"*   `assignedUnits` (*type:* `integer()`, *default:* `nil`) - The current number of users that are assigned a license for the product defined in provisioned_service.skuId. Read-only. Deprecated: Use `parameters` instead.\n*   `associationInfo` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1AssociationInfo.t`, *default:* `nil`) - Association information to other entitlements.\n*   `billingAccount` (*type:* `String.t`, *default:* `nil`) - Optional. The billing account resource name that is used to pay for this entitlement.\n*   `channelPartnerId` (*type:* `String.t`, *default:* `nil`) - Cloud Identity ID of a channel partner who will be the direct reseller for the customer's order. This field is generally used in 2-tier ordering, where the order is placed by a top-level distributor on behalf of their channel partner or reseller. Required for distributors. Deprecated: `channel_partner_id` has been moved to the Customer.\n*   `commitmentSettings` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1CommitmentSettings.t`, *default:* `nil`) - Commitment settings for a commitment-based Offer. Required for commitment based offers.\n*   `createTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time at which the entitlement is created.\n*   `maxUnits` (*type:* `integer()`, *default:* `nil`) - Maximum number of units for a non commitment-based Offer, such as Flexible, Trial or Free entitlements. For commitment-based entitlements, this is a read-only field, which only the internal support team can update. Deprecated: Use `parameters` instead.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Output only. Resource name of an entitlement in the form: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}.\n*   `numUnits` (*type:* `integer()`, *default:* `nil`) - Number of units for a commitment-based Offer. For example, for seat-based Offers, this would be the number of seats; for license-based Offers, this would be the number of licenses. Required for creating commitment-based Offers. Deprecated: Use `parameters` instead.\n*   `offer` (*type:* `String.t`, *default:* `nil`) - Required. The offer resource name for which the entitlement is to be created. Takes the form: accounts/{account_id}/offers/{offer_id}.\n*   `parameters` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Parameter.t)`, *default:* `nil`) - Extended entitlement parameters. When creating an entitlement, valid parameter names and values are defined in the Offer.parameter_definitions. For Google Workspace, the following Parameters may be accepted as input: - max_units: The maximum assignable units for a flexible offer OR - num_units: The total commitment for commitment-based offers The response may additionally include the following output-only Parameters: - assigned_units: The number of licenses assigned to users. For Google Cloud billing subaccounts, the following Parameter may be accepted as input: - display_name: The display name of the billing subaccount.\n*   `provisionedService` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ProvisionedService.t`, *default:* `nil`) - Output only. Service provisioning details for the entitlement.\n*   `provisioningState` (*type:* `String.t`, *default:* `nil`) - Output only. Current provisioning state of the entitlement.\n*   `purchaseOrderId` (*type:* `String.t`, *default:* `nil`) - Optional. This purchase order (PO) information is for resellers to use for their company tracking usage. If a purchaseOrderId value is given, it appears in the API responses and shows up in the invoice. The property accepts up to 80 plain text characters. This is only supported for Google Workspace entitlements.\n*   `suspensionReasons` (*type:* `list(String.t)`, *default:* `nil`) - Output only. Enumerable of all current suspension reasons for an entitlement.\n*   `trialSettings` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1TrialSettings.t`, *default:* `nil`) - Output only. Settings for trial offers.\n*   `updateTime` (*type:* `DateTime.t`, *default:* `nil`) - Output only. The time at which the entitlement is updated.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Entitlement.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Entitlement.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Entitlement.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Entitlement.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Entitlement.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1EntitlementEvent","doc":"Represents Pub/Sub message content describing entitlement update.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1EntitlementEvent.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1EntitlementEvent","doc":"*   `entitlement` (*type:* `String.t`, *default:* `nil`) - Resource name of an entitlement of the form: accounts/{account_id}/customers/{customer_id}/entitlements/{entitlement_id}\n*   `eventType` (*type:* `String.t`, *default:* `nil`) - Type of event which happened on the entitlement.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1EntitlementEvent.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1EntitlementEvent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1EntitlementEvent.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1EntitlementEvent.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1EntitlementEvent.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1OperationMetadata","doc":"Provides contextual information about a google.longrunning.Operation.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1OperationMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1OperationMetadata","doc":"*   `operationType` (*type:* `String.t`, *default:* `nil`) - The RPC that initiated this Long Running Operation.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1OperationMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1OperationMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1OperationMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1OperationMetadata.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1OperationMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Parameter","doc":"Definition for extended entitlement parameters.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Parameter.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Parameter","doc":"*   `editable` (*type:* `boolean()`, *default:* `nil`) - Output only. Specifies whether this parameter is allowed to be changed. For example, for a Google Workspace Business Starter entitlement in commitment plan, num_units is editable when entitlement is active.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Name of the parameter.\n*   `value` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Value.t`, *default:* `nil`) - Value of the parameter.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Parameter.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Parameter.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Parameter.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Parameter.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Parameter.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Period","doc":"Represents period in days/months/years.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Period.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Period","doc":"*   `duration` (*type:* `integer()`, *default:* `nil`) - Total duration of Period Type defined.\n*   `periodType` (*type:* `String.t`, *default:* `nil`) - Period Type.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Period.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Period.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Period.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Period.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Period.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ProvisionedService","doc":"Service provisioned for an entitlement.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ProvisionedService.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ProvisionedService","doc":"*   `productId` (*type:* `String.t`, *default:* `nil`) - Output only. The product pertaining to the provisioning resource as specified in the Offer.\n*   `provisioningId` (*type:* `String.t`, *default:* `nil`) - Output only. Provisioning ID of the entitlement. For Google Workspace, this is the underlying Subscription ID. For Google Cloud, this is the Billing Account ID of the billing subaccount.\n*   `skuId` (*type:* `String.t`, *default:* `nil`) - Output only. The SKU pertaining to the provisioning resource as specified in the Offer.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ProvisionedService.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ProvisionedService.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ProvisionedService.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ProvisionedService.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ProvisionedService.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1RenewalSettings","doc":"Renewal settings for renewable Offers.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1RenewalSettings.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1RenewalSettings","doc":"*   `disableCommitment` (*type:* `boolean()`, *default:* `nil`) - If true, disables commitment-based offer on renewal and switches to flexible or pay as you go. Deprecated: Use `payment_plan` instead.\n*   `enableRenewal` (*type:* `boolean()`, *default:* `nil`) - If false, the plan will be completed at the end date.\n*   `paymentCycle` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Period.t`, *default:* `nil`) - Describes how frequently the reseller will be billed, such as once per month.\n*   `paymentOption` (*type:* `String.t`, *default:* `nil`) - Set if enable_renewal=true. Deprecated: Use `payment_cycle` instead.\n*   `paymentPlan` (*type:* `String.t`, *default:* `nil`) - Describes how a reseller will be billed.\n*   `resizeUnitCount` (*type:* `boolean()`, *default:* `nil`) - If true and enable_renewal = true, the unit (for example seats or licenses) will be set to the number of active units at renewal time.\n*   `scheduledRenewalOffer` (*type:* `String.t`, *default:* `nil`) - Output only. The offer resource name that the entitlement will renew on at the end date. Takes the form: accounts/{account_id}/offers/{offer_id}.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1RenewalSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1RenewalSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1RenewalSettings.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1RenewalSettings.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1RenewalSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Report","doc":"The ID and description of a report that was used to generate report data. For example, \"Google Cloud Daily Spend\", \"Google Workspace License Activity\", etc.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Report.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Report","doc":"*   `columns` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Column.t)`, *default:* `nil`) - The list of columns included in the report. This defines the schema of the report results.\n*   `description` (*type:* `String.t`, *default:* `nil`) - A description of other aspects of the report, such as the products it supports.\n*   `displayName` (*type:* `String.t`, *default:* `nil`) - A human-readable name for this report.\n*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The report's resource name. Specifies the account and report used to generate report data. The report_id identifier is a UID (for example, `613bf59q`). Name uses the format: accounts/{account_id}/reports/{report_id}","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Report.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Report.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Report.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Report.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Report.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportJob","doc":"The result of a RunReportJob operation. Contains the name to use in FetchReportResultsRequest.report_job and the status of the operation.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportJob.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportJob","doc":"*   `name` (*type:* `String.t`, *default:* `nil`) - Required. The resource name of a report job. Name uses the format: `accounts/{account_id}/reportJobs/{report_job_id}`\n*   `reportStatus` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportStatus.t`, *default:* `nil`) - The current status of report generation.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportJob.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportJob.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportJob.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportJob.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportJob.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportResultsMetadata","doc":"The features describing the data. Returned by CloudChannelReportsService.RunReportJob and CloudChannelReportsService.FetchReportResults.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportResultsMetadata.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportResultsMetadata","doc":"*   `dateRange` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1DateRange.t`, *default:* `nil`) - The date range of reported usage.\n*   `precedingDateRange` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1DateRange.t`, *default:* `nil`) - The usage dates immediately preceding `date_range` with the same duration. Use this to calculate trending usage and costs. This is only populated if you request trending data. For example, if `date_range` is July 1-15, `preceding_date_range` will be June 16-30.\n*   `report` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Report.t`, *default:* `nil`) - Details of the completed report.\n*   `rowCount` (*type:* `String.t`, *default:* `nil`) - The total number of rows of data in the final report.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportResultsMetadata.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportResultsMetadata.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportResultsMetadata.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportResultsMetadata.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportResultsMetadata.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportStatus","doc":"Status of a report generation process.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportStatus.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportStatus","doc":"*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - The report generation's completion time.\n*   `startTime` (*type:* `DateTime.t`, *default:* `nil`) - The report generation's start time.\n*   `state` (*type:* `String.t`, *default:* `nil`) - The current state of the report generation process.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportStatus.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportStatus.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1RunReportJobResponse","doc":"Response message for CloudChannelReportsService.RunReportJob.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1RunReportJobResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1RunReportJobResponse","doc":"*   `reportJob` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportJob.t`, *default:* `nil`) - Pass `report_job.name` to FetchReportResultsRequest.report_job to retrieve the report's results.\n*   `reportMetadata` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ReportResultsMetadata.t`, *default:* `nil`) - The metadata for the report's results (display name, columns, row count, and date range). If you view this before the operation finishes, you may see incomplete data.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1RunReportJobResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1RunReportJobResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1RunReportJobResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1RunReportJobResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1RunReportJobResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1SubscriberEvent","doc":"Represents information which resellers will get as part of notification from Pub/Sub.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1SubscriberEvent.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1SubscriberEvent","doc":"*   `channelPartnerEvent` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1ChannelPartnerEvent.t`, *default:* `nil`) - Channel Partner event sent as part of Pub/Sub event to partners.\n*   `customerEvent` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1CustomerEvent.t`, *default:* `nil`) - Customer event sent as part of Pub/Sub event to partners.\n*   `entitlementEvent` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1EntitlementEvent.t`, *default:* `nil`) - Entitlement event sent as part of Pub/Sub event to partners.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1SubscriberEvent.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1SubscriberEvent.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1SubscriberEvent.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1SubscriberEvent.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1SubscriberEvent.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1TransferEntitlementsResponse","doc":"Response message for CloudChannelService.TransferEntitlements. This is put in the response field of google.longrunning.Operation.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1TransferEntitlementsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1TransferEntitlementsResponse","doc":"*   `entitlements` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Entitlement.t)`, *default:* `nil`) - The transferred entitlements.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1TransferEntitlementsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1TransferEntitlementsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1TransferEntitlementsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1TransferEntitlementsResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1TransferEntitlementsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1TrialSettings","doc":"Settings for trial offers.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1TrialSettings.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1TrialSettings","doc":"*   `endTime` (*type:* `DateTime.t`, *default:* `nil`) - Date when the trial ends. The value is in milliseconds using the UNIX Epoch format. See an example [Epoch converter](https://www.epochconverter.com).\n*   `trial` (*type:* `boolean()`, *default:* `nil`) - Determines if the entitlement is in a trial or not: * `true` - The entitlement is in trial. * `false` - The entitlement is not in trial.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1TrialSettings.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1TrialSettings.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1TrialSettings.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1TrialSettings.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1TrialSettings.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Value","doc":"Data type and value of a parameter.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Value.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Value","doc":"*   `boolValue` (*type:* `boolean()`, *default:* `nil`) - Represents a boolean value.\n*   `doubleValue` (*type:* `float()`, *default:* `nil`) - Represents a double value.\n*   `int64Value` (*type:* `String.t`, *default:* `nil`) - Represents an int64 value.\n*   `protoValue` (*type:* `map()`, *default:* `nil`) - Represents an 'Any' proto value.\n*   `stringValue` (*type:* `String.t`, *default:* `nil`) - Represents a string value.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Value.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Value.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Value.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Value.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleCloudChannelV1alpha1Value.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleLongrunningCancelOperationRequest","doc":"The request message for Operations.CancelOperation.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleLongrunningCancelOperationRequest.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleLongrunningCancelOperationRequest","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleLongrunningCancelOperationRequest.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleLongrunningCancelOperationRequest.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleLongrunningCancelOperationRequest.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleLongrunningCancelOperationRequest.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleLongrunningCancelOperationRequest.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleLongrunningListOperationsResponse","doc":"The response message for Operations.ListOperations.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleLongrunningListOperationsResponse.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleLongrunningListOperationsResponse","doc":"*   `nextPageToken` (*type:* `String.t`, *default:* `nil`) - The standard List next-page token.\n*   `operations` (*type:* `list(GoogleApi.CloudChannel.V1.Model.GoogleLongrunningOperation.t)`, *default:* `nil`) - A list of operations that matches the specified filter in the request.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleLongrunningListOperationsResponse.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleLongrunningListOperationsResponse.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleLongrunningListOperationsResponse.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleLongrunningListOperationsResponse.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleLongrunningListOperationsResponse.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleLongrunningOperation","doc":"This resource represents a long-running operation that is the result of a network API call.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleLongrunningOperation.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleLongrunningOperation","doc":"*   `done` (*type:* `boolean()`, *default:* `nil`) - If the value is `false`, it means the operation is still in progress. If `true`, the operation is completed, and either `error` or `response` is available.\n*   `error` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleRpcStatus.t`, *default:* `nil`) - The error result of the operation in case of failure or cancellation.\n*   `metadata` (*type:* `map()`, *default:* `nil`) - Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any.\n*   `name` (*type:* `String.t`, *default:* `nil`) - The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the `name` should be a resource name ending with `operations/{unique_id}`.\n*   `response` (*type:* `map()`, *default:* `nil`) - The normal, successful response of the operation. If the original method returns no data on success, such as `Delete`, the response is `google.protobuf.Empty`. If the original method is standard `Get`/`Create`/`Update`, the response should be the resource. For other methods, the response should have the type `XxxResponse`, where `Xxx` is the original method name. For example, if the original method name is `TakeSnapshot()`, the inferred response type is `TakeSnapshotResponse`.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleLongrunningOperation.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleLongrunningOperation.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleLongrunningOperation.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleLongrunningOperation.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleLongrunningOperation.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleProtobufEmpty","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); }","ref":"GoogleApi.CloudChannel.V1.Model.GoogleProtobufEmpty.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleProtobufEmpty","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleProtobufEmpty.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleProtobufEmpty.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleProtobufEmpty.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleProtobufEmpty.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleProtobufEmpty.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleRpcStatus","doc":"The `Status` type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by [gRPC](https://github.com/grpc). Each `Status` message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the [API Design Guide](https://cloud.google.com/apis/design/errors).","ref":"GoogleApi.CloudChannel.V1.Model.GoogleRpcStatus.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleRpcStatus","doc":"*   `code` (*type:* `integer()`, *default:* `nil`) - The status code, which should be an enum value of google.rpc.Code.\n*   `details` (*type:* `list(map())`, *default:* `nil`) - A list of messages that carry the error details. There is a common set of message types for APIs to use.\n*   `message` (*type:* `String.t`, *default:* `nil`) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleRpcStatus.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleRpcStatus.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleRpcStatus.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleRpcStatus.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleRpcStatus.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleTypeDate","doc":"Represents a whole or partial calendar date, such as a birthday. The time of day and time zone are either specified elsewhere or are insignificant. The date is relative to the Gregorian Calendar. This can represent one of the following: * A full date, with non-zero year, month, and day values. * A month and day, with a zero year (for example, an anniversary). * A year on its own, with a zero month and a zero day. * A year and month, with a zero day (for example, a credit card expiration date). Related types: * google.type.TimeOfDay * google.type.DateTime * google.protobuf.Timestamp","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypeDate.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleTypeDate","doc":"*   `day` (*type:* `integer()`, *default:* `nil`) - Day of a month. Must be from 1 to 31 and valid for the year and month, or 0 to specify a year by itself or a year and month where the day isn't significant.\n*   `month` (*type:* `integer()`, *default:* `nil`) - Month of a year. Must be from 1 to 12, or 0 to specify a year without a month and day.\n*   `year` (*type:* `integer()`, *default:* `nil`) - Year of the date. Must be from 1 to 9999, or 0 to specify a date without a year.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypeDate.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleTypeDate.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypeDate.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleTypeDate.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypeDate.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleTypeDateTime","doc":"Represents civil time (or occasionally physical time). This type can represent a civil time in one of a few possible ways: * When utc_offset is set and time_zone is unset: a civil time on a calendar day with a particular offset from UTC. * When time_zone is set and utc_offset is unset: a civil time on a calendar day in a particular time zone. * When neither time_zone nor utc_offset is set: a civil time on a calendar day in local time. The date is relative to the Proleptic Gregorian Calendar. If year, month, or day are 0, the DateTime is considered not to have a specific year, month, or day respectively. This type may also be used to represent a physical time if all the date and time fields are set and either case of the `time_offset` oneof is set. Consider using `Timestamp` message for physical time instead. If your use case also would like to store the user's timezone, that can be done in another field. This type is more flexible than some applications may want. Make sure to document and validate your application's limitations.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypeDateTime.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleTypeDateTime","doc":"*   `day` (*type:* `integer()`, *default:* `nil`) - Optional. Day of month. Must be from 1 to 31 and valid for the year and month, or 0 if specifying a datetime without a day.\n*   `hours` (*type:* `integer()`, *default:* `nil`) - Optional. Hours of day in 24 hour format. Should be from 0 to 23, defaults to 0 (midnight). An API may choose to allow the value \"24:00:00\" for scenarios like business closing time.\n*   `minutes` (*type:* `integer()`, *default:* `nil`) - Optional. Minutes of hour of day. Must be from 0 to 59, defaults to 0.\n*   `month` (*type:* `integer()`, *default:* `nil`) - Optional. Month of year. Must be from 1 to 12, or 0 if specifying a datetime without a month.\n*   `nanos` (*type:* `integer()`, *default:* `nil`) - Optional. Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999, defaults to 0.\n*   `seconds` (*type:* `integer()`, *default:* `nil`) - Optional. Seconds of minutes of the time. Must normally be from 0 to 59, defaults to 0. An API may allow the value 60 if it allows leap-seconds.\n*   `timeZone` (*type:* `GoogleApi.CloudChannel.V1.Model.GoogleTypeTimeZone.t`, *default:* `nil`) - Time zone.\n*   `utcOffset` (*type:* `String.t`, *default:* `nil`) - UTC offset. Must be whole seconds, between -18 hours and +18 hours. For example, a UTC offset of -4:00 would be represented as { seconds: -14400 }.\n*   `year` (*type:* `integer()`, *default:* `nil`) - Optional. Year of date. Must be from 1 to 9999, or 0 if specifying a datetime without a year.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypeDateTime.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleTypeDateTime.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypeDateTime.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleTypeDateTime.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypeDateTime.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleTypeDecimal","doc":"A representation of a decimal value, such as 2.5. Clients may convert values into language-native decimal formats, such as Java's BigDecimal or Python's decimal.Decimal. [BigDecimal]: https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/math/BigDecimal.html [decimal.Decimal]: https://docs.python.org/3/library/decimal.html","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypeDecimal.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleTypeDecimal","doc":"*   `value` (*type:* `String.t`, *default:* `nil`) - The decimal value, as a string. The string representation consists of an optional sign, `+` (`U+002B`) or `-` (`U+002D`), followed by a sequence of zero or more decimal digits (\"the integer\"), optionally followed by a fraction, optionally followed by an exponent. An empty string **should** be interpreted as `0`. The fraction consists of a decimal point followed by zero or more decimal digits. The string must contain at least one digit in either the integer or the fraction. The number formed by the sign, the integer and the fraction is referred to as the significand. The exponent consists of the character `e` (`U+0065`) or `E` (`U+0045`) followed by one or more decimal digits. Services **should** normalize decimal values before storing them by: - Removing an explicitly-provided `+` sign (`+2.5` -> `2.5`). - Replacing a zero-length integer value with `0` (`.5` -> `0.5`). - Coercing the exponent character to upper-case, with explicit sign (`2.5e8` -> `2.5E+8`). - Removing an explicitly-provided zero exponent (`2.5E0` -> `2.5`). Services **may** perform additional normalization based on its own needs and the internal decimal implementation selected, such as shifting the decimal point and exponent value together (example: `2.5E-1` <-> `0.25`). Additionally, services **may** preserve trailing zeroes in the fraction to indicate increased precision, but are not required to do so. Note that only the `.` character is supported to divide the integer and the fraction; `,` **should not** be supported regardless of locale. Additionally, thousand separators **should not** be supported. If a service does support them, values **must** be normalized. The ENBF grammar is: DecimalString = '' | [Sign] Significand [Exponent]; Sign = '+' | '-'; Significand = Digits '.' | [Digits] '.' Digits; Exponent = ('e' | 'E') [Sign] Digits; Digits = { '0' | '1' | '2' | '3' | '4' | '5' | '6' | '7' | '8' | '9' }; Services **should** clearly document the range of supported values, the maximum supported precision (total number of digits), and, if applicable, the scale (number of digits after the decimal point), as well as how it behaves when receiving out-of-bounds values. Services **may** choose to accept values passed as input even when the value has a higher precision or scale than the service supports, and **should** round the value to fit the supported scale. Alternatively, the service **may** error with `400 Bad Request` (`INVALID_ARGUMENT` in gRPC) if precision would be lost. Services **should** error with `400 Bad Request` (`INVALID_ARGUMENT` in gRPC) if the service receives a value outside of the supported range.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypeDecimal.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleTypeDecimal.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypeDecimal.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleTypeDecimal.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypeDecimal.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleTypeMoney","doc":"Represents an amount of money with its currency type.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypeMoney.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleTypeMoney","doc":"*   `currencyCode` (*type:* `String.t`, *default:* `nil`) - The three-letter currency code defined in ISO 4217.\n*   `nanos` (*type:* `integer()`, *default:* `nil`) - Number of nano (10^-9) units of the amount. The value must be between -999,999,999 and +999,999,999 inclusive. If `units` is positive, `nanos` must be positive or zero. If `units` is zero, `nanos` can be positive, zero, or negative. If `units` is negative, `nanos` must be negative or zero. For example $-1.75 is represented as `units`=-1 and `nanos`=-750,000,000.\n*   `units` (*type:* `String.t`, *default:* `nil`) - The whole units of the amount. For example if `currencyCode` is `\"USD\"`, then 1 unit is one US dollar.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypeMoney.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleTypeMoney.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypeMoney.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleTypeMoney.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypeMoney.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleTypePostalAddress","doc":"Represents a postal address, e.g. for postal delivery or payments addresses. Given a postal address, a postal service can deliver items to a premise, P.O. Box or similar. It is not intended to model geographical locations (roads, towns, mountains). In typical usage an address would be created via user input or from importing existing data, depending on the type of process. Advice on address input / editing: - Use an internationalization-ready address widget such as https://github.com/google/libaddressinput) - Users should not be presented with UI elements for input or editing of fields outside countries where that field is used. For more guidance on how to use this schema, please see: https://support.google.com/business/answer/6397478","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypePostalAddress.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleTypePostalAddress","doc":"*   `addressLines` (*type:* `list(String.t)`, *default:* `nil`) - Unstructured address lines describing the lower levels of an address. Because values in address_lines do not have type information and may sometimes contain multiple values in a single field (e.g. \"Austin, TX\"), it is important that the line order is clear. The order of address lines should be \"envelope order\" for the country/region of the address. In places where this can vary (e.g. Japan), address_language is used to make it explicit (e.g. \"ja\" for large-to-small ordering and \"ja-Latn\" or \"en\" for small-to-large). This way, the most specific line of an address can be selected based on the language. The minimum permitted structural representation of an address consists of a region_code with all remaining information placed in the address_lines. It would be possible to format such an address very approximately without geocoding, but no semantic reasoning could be made about any of the address components until it was at least partially resolved. Creating an address only containing a region_code and address_lines, and then geocoding is the recommended way to handle completely unstructured addresses (as opposed to guessing which parts of the address should be localities or administrative areas).\n*   `administrativeArea` (*type:* `String.t`, *default:* `nil`) - Optional. Highest administrative subdivision which is used for postal addresses of a country or region. For example, this can be a state, a province, an oblast, or a prefecture. Specifically, for Spain this is the province and not the autonomous community (e.g. \"Barcelona\" and not \"Catalonia\"). Many countries don't use an administrative area in postal addresses. E.g. in Switzerland this should be left unpopulated.\n*   `languageCode` (*type:* `String.t`, *default:* `nil`) - Optional. BCP-47 language code of the contents of this address (if known). This is often the UI language of the input form or is expected to match one of the languages used in the address' country/region, or their transliterated equivalents. This can affect formatting in certain countries, but is not critical to the correctness of the data and will never affect any validation or other non-formatting related operations. If this value is not known, it should be omitted (rather than specifying a possibly incorrect default). Examples: \"zh-Hant\", \"ja\", \"ja-Latn\", \"en\".\n*   `locality` (*type:* `String.t`, *default:* `nil`) - Optional. Generally refers to the city/town portion of the address. Examples: US city, IT comune, UK post town. In regions of the world where localities are not well defined or do not fit into this structure well, leave locality empty and use address_lines.\n*   `organization` (*type:* `String.t`, *default:* `nil`) - Optional. The name of the organization at the address.\n*   `postalCode` (*type:* `String.t`, *default:* `nil`) - Optional. Postal code of the address. Not all countries use or require postal codes to be present, but where they are used, they may trigger additional validation with other parts of the address (e.g. state/zip validation in the U.S.A.).\n*   `recipients` (*type:* `list(String.t)`, *default:* `nil`) - Optional. The recipient at the address. This field may, under certain circumstances, contain multiline information. For example, it might contain \"care of\" information.\n*   `regionCode` (*type:* `String.t`, *default:* `nil`) - Required. CLDR region code of the country/region of the address. This is never inferred and it is up to the user to ensure the value is correct. See https://cldr.unicode.org/ and https://www.unicode.org/cldr/charts/30/supplemental/territory_information.html for details. Example: \"CH\" for Switzerland.\n*   `revision` (*type:* `integer()`, *default:* `nil`) - The schema revision of the `PostalAddress`. This must be set to 0, which is the latest revision. All new revisions **must** be backward compatible with old revisions.\n*   `sortingCode` (*type:* `String.t`, *default:* `nil`) - Optional. Additional, country-specific, sorting code. This is not used in most regions. Where it is used, the value is either a string like \"CEDEX\", optionally followed by a number (e.g. \"CEDEX 7\"), or just a number alone, representing the \"sector code\" (Jamaica), \"delivery area indicator\" (Malawi) or \"post office indicator\" (e.g. Côte d'Ivoire).\n*   `sublocality` (*type:* `String.t`, *default:* `nil`) - Optional. Sublocality of the address. For example, this can be neighborhoods, boroughs, districts.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypePostalAddress.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleTypePostalAddress.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypePostalAddress.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleTypePostalAddress.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypePostalAddress.html#t:t/0"},{"type":"module","title":"GoogleApi.CloudChannel.V1.Model.GoogleTypeTimeZone","doc":"Represents a time zone from the [IANA Time Zone Database](https://www.iana.org/time-zones).","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypeTimeZone.html"},{"type":"module","title":"Attributes - GoogleApi.CloudChannel.V1.Model.GoogleTypeTimeZone","doc":"*   `id` (*type:* `String.t`, *default:* `nil`) - IANA Time Zone Database time zone, e.g. \"America/New_York\".\n*   `version` (*type:* `String.t`, *default:* `nil`) - Optional. IANA Time Zone Database version number, e.g. \"2019a\".","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypeTimeZone.html#module-attributes"},{"type":"function","title":"GoogleApi.CloudChannel.V1.Model.GoogleTypeTimeZone.decode/2","doc":"Unwrap a decoded JSON object into its complex fields.","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypeTimeZone.html#decode/2"},{"type":"type","title":"GoogleApi.CloudChannel.V1.Model.GoogleTypeTimeZone.t/0","doc":"","ref":"GoogleApi.CloudChannel.V1.Model.GoogleTypeTimeZone.html#t:t/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}